---
title: iib credential
keywords: documentation
layout: documentation
sidebar: iib_config_sidebar
toc: false
---
## Overview

This resource allows you to manage dbparams (e.g. credentials) in IBM IIB realm.

Here is an example on how you should use this:

    iib_credential { 'IIB107/ldap::myad.example.com':
      ensure   => 'present',
      username => 'myusername',
      password => 'extremlysecret',
    }

## Attributes



Attribute Name                                 | Short Description                                                                 |
---------------------------------------------- | --------------------------------------------------------------------------------- |
[broker](#iib_credential_broker)               | This parameter specifies custom name for iib_broker in IBM IIB realm.             |
[ensure](#iib_credential_ensure)               | The basic property that the resource should be in.                                |
[instance](#iib_credential_instance)           | This shared parameter specifies iib_instance in IBM IIB realm.                    |
[name](#iib_credential_name)                   | This parameter specifies uniqe resource name for the credential (dbparams).       |
[password](#iib_credential_password)           | The password registered for this resource.                                        |
[provider](#iib_credential_provider)           | resource.                                                                         |
[resource_name](#iib_credential_resource_name) | This parameter specifies the full resource name for these credentials (dbparams)
 |
[username](#iib_credential_username)           | The username registered for this resource.                                        |




### broker<a name='iib_credential_broker'>

This parameter specifies custom name for iib_broker in IBM IIB realm.

In example

    'NODE1'



[Back to overview of iib_credential](#attributes)

### ensure<a name='iib_credential_ensure'>

The basic property that the resource should be in.

Valid values are `present`, `absent`. 

[Back to overview of iib_credential](#attributes)

### instance<a name='iib_credential_instance'>

This shared parameter specifies iib_instance in IBM IIB realm.

Example name

    'iib8'



[Back to overview of iib_credential](#attributes)

### name<a name='iib_credential_name'>

This parameter specifies uniqe resource name for the credential (dbparams).

In example

    'IIB107/ldap::myad.example.com'



[Back to overview of iib_credential](#attributes)

### password<a name='iib_credential_password'>

The password registered for this resource.



[Back to overview of iib_credential](#attributes)

### provider<a name='iib_credential_provider'>

The specific backend to use for this `iib_credential`
resource. You will seldom need to specify this --- Puppet will usually
discover the appropriate provider for your platform.Available providers are:

simple
: Manage IIB credentials (dbparams)



[Back to overview of iib_credential](#attributes)

### resource_name<a name='iib_credential_resource_name'>

This parameter specifies the full resource name for these credentials (dbparams)



[Back to overview of iib_credential](#attributes)

### username<a name='iib_credential_username'>

The username registered for this resource.



[Back to overview of iib_credential](#attributes)
