---
title: iib deployment
keywords: documentation
layout: documentation
sidebar: iib_config_sidebar
toc: false
---
## Overview

This resource allows you to manage process of deployment of IBM IIB.

Here is an example on how you should use this:

    iib_deployment { 'IIB107/IB10NODE1/server_2/Hello':
      ensure => 'present',
      source => '/tmp/Helloproject.TestMode.bar',
    }

In this example you are ensuring that deployment is done from provided source.

## Attributes



Attribute Name                                     | Short Description                                                              |
-------------------------------------------------- | ------------------------------------------------------------------------------ |
[application](#iib_deployment_application)         | This shared parameter specifies application for iib_server in IBM IIB realm.   |
[broker](#iib_deployment_broker)                   | This parameter specifies custom name for iib_broker in IBM IIB realm.          |
[deployment_name](#iib_deployment_deployment_name) | This parameter specifies custom name for iib_deployment in IBM IIB realm.      |
[ensure](#iib_deployment_ensure)                   | The basic property that the resource should be in.                             |
[instance](#iib_deployment_instance)               | This shared parameter specifies iib_instance in IBM IIB realm.                 |
[name](#iib_deployment_name)                       | This parameter specifies uniqe custom name for iib_deployment in Puppet realm. |
[provider](#iib_deployment_provider)               | resource.                                                                      |
[server](#iib_deployment_server)                   | This parameter specifies custom name for iib_server in IBM IIB realm.          |
[source](#iib_deployment_source)                   | This property is the bar file for deployment.                                  |




### application<a name='iib_deployment_application'>

This shared parameter specifies application for iib_server in IBM IIB realm.

In example

    'NODE1/server_1/Hello'


[Back to overview of iib_deployment](#attributes)


### broker<a name='iib_deployment_broker'>

This parameter specifies custom name for iib_broker in IBM IIB realm.

In example

    'NODE1'


[Back to overview of iib_deployment](#attributes)


### deployment_name<a name='iib_deployment_deployment_name'>

This parameter specifies custom name for iib_deployment in IBM IIB realm.

In example

    'Hello'


[Back to overview of iib_deployment](#attributes)


### ensure<a name='iib_deployment_ensure'>

The basic property that the resource should be in.

Valid values are `present`, `absent`. 
[Back to overview of iib_deployment](#attributes)


### instance<a name='iib_deployment_instance'>

This shared parameter specifies iib_instance in IBM IIB realm.

Example name

    'iib8'


[Back to overview of iib_deployment](#attributes)


### name<a name='iib_deployment_name'>

This parameter specifies uniqe custom name for iib_deployment in Puppet realm.

In example

    'iib8/NODE1/server_1/Hello'


[Back to overview of iib_deployment](#attributes)


### provider<a name='iib_deployment_provider'>

The specific backend to use for this `iib_deployment`
resource. You will seldom need to specify this --- Puppet will usually
discover the appropriate provider for your platform.Available providers are:

simple
: Manage IIB deployments


[Back to overview of iib_deployment](#attributes)


### server<a name='iib_deployment_server'>

This parameter specifies custom name for iib_server in IBM IIB realm.

In example

    'server_1'


[Back to overview of iib_deployment](#attributes)


### source<a name='iib_deployment_source'>

This property is the bar file for deployment.

The deployment process will run with the identity of the `iibadmin` user.
Makes sure the file is accessible by the `iibadmin` user.


[Back to overview of iib_deployment](#attributes)

