---
title: iib instance
keywords: documentation
layout: documentation
sidebar: iib_config_sidebar
toc: false
---
## Overview

This is custom resource which allows you to manage server and broker under
specified account in an IBM IIB realm.

Here is an example on how you should use this:

    iib_instance { 'IIB107NewInstance':
      ensure         => 'present',
      home_directory => '/opt/ibm/mqsi/iib-10.0.0.7',
      os_user        => 'iibadmin',
    }

In this example you are ensuring that instance is present. If the instance is
absent the resource creates new istance with specifed user and directory.

## Attributes



Attribute Name                                 | Short Description                                                                           |
---------------------------------------------- | ------------------------------------------------------------------------------------------- |
[ensure](#iib_instance_ensure)                 | The basic property that the resource should be in.                                          |
[home_directory](#iib_instance_home_directory) | This property allows you to manage path of iib_instance home directory in an IBM IIB realm. |
[name](#iib_instance_name)                     | This parameter specifies custom name for iib_instance.                                      |
[os_user](#iib_instance_os_user)               | This property allows you to manage iib_instance admin username in an IBM IIB realm.         |
[provider](#iib_instance_provider)             | resource.                                                                                   |




### ensure<a name='iib_instance_ensure'>

The basic property that the resource should be in.

Valid values are `present`, `absent`. 
[Back to overview of iib_instance](#attributes)


### home_directory<a name='iib_instance_home_directory'>

This property allows you to manage path of iib_instance home directory in an IBM IIB realm.

Here is an example on how you should use this:

    iib_instance { 'iib8NewInstance':
      ensure         => 'present',
      home_directory => '/opt/ibm/mqsi/iib-10.0.0.8',
    }

In this example you are setting the home_directory of `IBM IIB 10.0.0 fix pack
8` for selected iib instance.


[Back to overview of iib_instance](#attributes)


### name<a name='iib_instance_name'>

This parameter specifies custom name for iib_instance.


[Back to overview of iib_instance](#attributes)


### os_user<a name='iib_instance_os_user'>

This property allows you to manage iib_instance admin username in an IBM IIB realm.

Here is an example on how you should use this:


    iib_instance { 'iib8NewInstance':
      ensure         => 'present',
      os_user        => 'iibadmin',
    }

In this example you are setting the admin user for selected iib instance.


[Back to overview of iib_instance](#attributes)


### provider<a name='iib_instance_provider'>

The specific backend to use for this `iib_instance`
resource. You will seldom need to specify this --- Puppet will usually
discover the appropriate provider for your platform.Available providers are:

simple
: Manage different IIB configurations


[Back to overview of iib_instance](#attributes)

