---
title: iib server
keywords: documentation
layout: documentation
sidebar: iib_config_sidebar
toc: false
---
## Overview

This resource allows you to manage server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'IIB107/IB10NODE1/server_1':
      ensure => 'present',
      status => 'running',
    }

In this example you are ensuring that server is running. If the server is
stopped the resource starts server, if absent the new server is created.

## Attributes



Attribute Name                                                                                                                 | Short Description                                                                                                        |
------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------ |
[broker](#iib_server_broker)                                                                                                   | This parameter specifies custom name for iib_broker in IBM IIB realm.                                                    |
[callable_flow_manager_delay_reply_until_flow_commit](#iib_server_callable_flow_manager_delay_reply_until_flow_commit)         | This property allows you to manage CallableFlowManager delayReplyUntilFlowCommit of iib_server in an IBM IIB realm.      |
[callable_flow_manager_disable_remote_input_registration](#iib_server_callable_flow_manager_disable_remote_input_registration) | This property allows you to manage CallableFlowManager disableRemoteInputRegistration of iib_server in an IBM IIB realm. |
[callable_flow_manager_redeploy_message_timeout](#iib_server_callable_flow_manager_redeploy_message_timeout)                   | This property allows you to manage CallableFlowManager redeployMessageTimeout of iib_server in an IBM IIB realm.         |
[callable_flow_manager_remote_retry_timeout](#iib_server_callable_flow_manager_remote_retry_timeout)                           | This property allows you to manage remoteRetryTimeout of CallableFlowManager iib_server in an IBM IIB realm.             |
[callable_flow_manager_retry_local_during_deploy](#iib_server_callable_flow_manager_retry_local_during_deploy)                 | This property allows you to manage CallableFlowManager retryLocalDuringDeploy of iib_server in an IBM IIB realm.         |
[callable_flow_manager_retry_remote_until_timeout](#iib_server_callable_flow_manager_retry_remote_until_timeout)               | This property allows you to manage CallableFlowManager retryRemoteUntilTimeout of iib_server in an IBM IIB realm.        |
[connectors_shared_idle_timeout](#iib_server_connectors_shared_idle_timeout)                                                   | This property allows you to manage Connectors sharedConnectorIdleTimeout of iib_server in an IBM IIB realm.              |
[ensure](#iib_server_ensure)                                                                                                   | The basic property that the resource should be in.                                                                       |
[execution_group_http_nodes_embedded_listener](#iib_server_execution_group_http_nodes_embedded_listener)                       | This property allows you to manage ExecutionGroup httpNodesUseEmbeddedListener of iib_server in an IBM IIB realm.        |
[execution_group_injection_mode](#iib_server_execution_group_injection_mode)                                                   | This property allows you to manage ExecutionGroup injectionMode of iib_server in an IBM IIB realm.                       |
[execution_group_soap_nodes_embedded_listener](#iib_server_execution_group_soap_nodes_embedded_listener)                       | This property allows you to manage ExecutionGroup soapNodesUseEmbeddedListener of iib_server in an IBM IIB realm.        |
[execution_group_trace_level](#iib_server_execution_group_trace_level)                                                         | This property allows you to manage ExecutionGroup traceLevel of iib_server in an IBM IIB trace.                          |
[http_connector_accept_count](#iib_server_http_connector_accept_count)                                                         | This property allows you to manage HTTPConnector acceptCount of iib_server in an IBM IIB realm.                          |
[http_connector_auto_respond_http_head_requests](#iib_server_http_connector_auto_respond_http_head_requests)                   | This property allows you to manage HTTPConnector autoRespondHTTPHEADRequests of iib_server in an IBM IIB realm.          |
[http_connector_compressable_mime_types](#iib_server_http_connector_compressable_mime_types)                                   | This property allows you to manage HTTPConnector compressableMimeTypes of iib_server in an IBM IIB realm.                |
[http_connector_compression](#iib_server_http_connector_compression)                                                           | This property allows you to manage HTTPConnector compression of iib_server in an IBM IIB realm.                          |
[http_connector_connection_linger](#iib_server_http_connector_connection_linger)                                               | This property allows you to manage HTTPConnector connectionLinger of iib_server in an IBM IIB realm.                     |
[http_connector_connection_timeout](#iib_server_http_connector_connection_timeout)                                             | This property allows you to manage HTTPConnector connectionTimeout of iib_server in an IBM IIB realm.                    |
[http_connector_cors_allow_credentials](#iib_server_http_connector_cors_allow_credentials)                                     | This property allows you to manage HTTPConnector corsAllowCredentials of iib_server in an IBM IIB realm.                 |
[http_connector_cors_allow_headers](#iib_server_http_connector_cors_allow_headers)                                             | This property allows you to manage HTTPConnector corsAllowHeaders of iib_server in an IBM IIB realm.                     |
[http_connector_cors_allow_methods](#iib_server_http_connector_cors_allow_methods)                                             | This property allows you to manage HTTPConnector corsAllowMethods of iib_server in an IBM IIB realm.                     |
[http_connector_cors_allow_origins](#iib_server_http_connector_cors_allow_origins)                                             | This property allows you to manage HTTPConnector corsAllowOrigins of iib_server in an IBM IIB realm.                     |
[http_connector_cors_enabled](#iib_server_http_connector_cors_enabled)                                                         | This property allows you to manage HTTPConnector corsEnabled of iib_server in an IBM IIB realm.                          |
[http_connector_cors_expose_headers](#iib_server_http_connector_cors_expose_headers)                                           | This property allows you to manage HTTPConnector corsExposeHeaders of iib_server in an IBM IIB realm.                    |
[http_connector_cors_max_age](#iib_server_http_connector_cors_max_age)                                                         | This property allows you to manage HTTPConnector corsMaxAge of iib_server in an IBM IIB realm.                           |
[http_connector_enable_lookups](#iib_server_http_connector_enable_lookups)                                                     | This property allows you to manage HTTPConnector enableLookups of iib_server in an IBM IIB realm.                        |
[http_connector_max_http_header_size](#iib_server_http_connector_max_http_header_size)                                         | This property allows you to manage HTTPConnector maxHttpHeaderSize of iib_server in an IBM IIB realm.                    |
[http_connector_max_keep_alive_requests](#iib_server_http_connector_max_keep_alive_requests)                                   | This property allows you to manage HTTPConnector maxKeepAliveRequests of iib_server in an IBM IIB realm.                 |
[http_connector_max_posts_size](#iib_server_http_connector_max_posts_size)                                                     | This property allows you to manage HTTPConnector maxPostSize of iib_server in an IBM IIB realm.                          |
[http_connector_max_threads](#iib_server_http_connector_max_threads)                                                           | This property allows you to manage HTTPConnector maxThreads of iib_server in an IBM IIB realm.                           |
[http_connector_min_spare_threads](#iib_server_http_connector_min_spare_threads)                                               | This property allows you to manage HTTPConnector minSpareThreads of iib_server in an IBM IIB realm.                      |
[http_connector_no_compression_user_agents](#iib_server_http_connector_no_compression_user_agents)                             | This property allows you to manage HTTPConnector noCompressionUserAgents of iib_server in an IBM IIB realm.              |
[http_connector_port](#iib_server_http_connector_port)                                                                         | This property allows you to manage HTTPConnector port of iib_server in an IBM IIB realm.                                 |
[http_connector_restricted_user_area](#iib_server_http_connector_restricted_user_area)                                         | This property allows you to manage HTTPConnector restrictedUserAgents of iib_server in an IBM IIB realm.                 |
[http_connector_server_name](#iib_server_http_connector_server_name)                                                           | This property allows you to manage HTTPConnector serverName of iib_server in an IBM IIB realm.                           |
[http_connector_socket_buffer](#iib_server_http_connector_socket_buffer)                                                       | This property allows you to manage HTTPConnector socketBuffer of iib_server in an IBM IIB realm.                         |
[http_connector_tcp_no_delay](#iib_server_http_connector_tcp_no_delay)                                                         | This property allows you to manage HTTPConnector tcpNoDelay of iib_server in an IBM IIB realm.                           |
[http_connector_timeout](#iib_server_http_connector_timeout)                                                                   | This property allows you to manage HTTPConnector connectionTimeout of iib_server in an IBM IIB realm.                    |
[http_connector_user_trace_level](#iib_server_http_connector_user_trace_level)                                                 | This property allows you to manage HTTPConnector userTraceLevel of iib_server in an IBM IIB trace.                       |
[https_connector_accept_count](#iib_server_https_connector_accept_count)                                                       | This property allows you to manage HTTPSConnector acceptCount of iib_server in an IBM IIB realm.                         |
[https_connector_algorithm](#iib_server_https_connector_algorithm)                                                             | This property allows you to manage HTTPSConnector algorithm of iib_server in an IBM IIB trace.                           |
[https_connector_auto_respond_http_head_requests](#iib_server_https_connector_auto_respond_http_head_requests)                 | This property allows you to manage HTTPSConnector autoRespondHTTPHEADRequests of iib_server in an IBM IIB realm.         |
[https_connector_client_auth](#iib_server_https_connector_client_auth)                                                         | This property allows you to manage HTTPSConnector clientAuth of iib_server in an IBM IIB realm.                          |
[https_connector_compressable_mime_types](#iib_server_https_connector_compressable_mime_types)                                 | This property allows you to manage HTTPSConnector compressableMimeTypes of iib_server in an IBM IIB realm.               |
[https_connector_compression](#iib_server_https_connector_compression)                                                         | This property allows you to manage HTTPSConnector compression of iib_server in an IBM IIB realm.                         |
[https_connector_connection_linger](#iib_server_https_connector_connection_linger)                                             | This property allows you to manage HTTPSConnector connectionLinger of iib_server in an IBM IIB realm.                    |
[https_connector_connection_timeout](#iib_server_https_connector_connection_timeout)                                           | This property allows you to manage HTTPSConnector connectionTimeout of iib_server in an IBM IIB realm.                   |
[https_connector_cors_allow_credentials](#iib_server_https_connector_cors_allow_credentials)                                   | This property allows you to manage HTTPSConnector corsAllowCredentials of iib_server in an IBM IIB realm.                |
[https_connector_cors_allow_headers](#iib_server_https_connector_cors_allow_headers)                                           | This property allows you to manage HTTPSConnector corsAllowHeaders of iib_server in an IBM IIB realm.                    |
[https_connector_cors_allow_methods](#iib_server_https_connector_cors_allow_methods)                                           | This property allows you to manage HTTPSConnector corsAllowMethods of iib_server in an IBM IIB realm.                    |
[https_connector_cors_allow_origins](#iib_server_https_connector_cors_allow_origins)                                           | This property allows you to manage HTTPSConnector corsAllowOrigins of iib_server in an IBM IIB realm.                    |
[https_connector_cors_enabled](#iib_server_https_connector_cors_enabled)                                                       | This property allows you to manage HTTPSConnector corsEnabled of iib_server in an IBM IIB realm.                         |
[https_connector_cors_expose_headers](#iib_server_https_connector_cors_expose_headers)                                         | This property allows you to manage HTTPSConnector corsExposeHeaders of iib_server in an IBM IIB realm.                   |
[https_connector_cors_max_age](#iib_server_https_connector_cors_max_age)                                                       | This property allows you to manage HTTPSConnector corsMaxAge of iib_server in an IBM IIB realm.                          |
[https_connector_enable_lookups](#iib_server_https_connector_enable_lookups)                                                   | This property allows you to manage HTTPSConnector enableLookups of iib_server in an IBM IIB realm.                       |
[https_connector_key_alias](#iib_server_https_connector_key_alias)                                                             | This property allows you to manage HTTPSConnector keyAlias of iib_server in an IBM IIB realm.                            |
[https_connector_keypass](#iib_server_https_connector_keypass)                                                                 | This property allows you to manage HTTPSConnector keypass of iib_server in an IBM IIB realm.                             |
[https_connector_keystore_file](#iib_server_https_connector_keystore_file)                                                     | This property allows you to manage HTTPSConnector keystoreFile of iib_server in an IBM IIB realm.                        |
[https_connector_keystore_password](#iib_server_https_connector_keystore_password)                                             | This property allows you to manage HTTPSConnector keystorePass of iib_server in an IBM IIB realm.                        |
[https_connector_keystore_type](#iib_server_https_connector_keystore_type)                                                     | This property allows you to manage HTTPSConnector keystoreType of iib_server in an IBM IIB realm.                        |
[https_connector_max_http_header_size](#iib_server_https_connector_max_http_header_size)                                       | This property allows you to manage HTTPSConnector maxHttpHeaderSize of iib_server in an IBM IIB realm.                   |
[https_connector_max_keep_alive_requests](#iib_server_https_connector_max_keep_alive_requests)                                 | This property allows you to manage HTTPSConnector maxKeepAliveRequests of iib_server in an IBM IIB realm.                |
[https_connector_max_posts_size](#iib_server_https_connector_max_posts_size)                                                   | This property allows you to manage HTTPSConnector maxPostSize of iib_server in an IBM IIB realm.                         |
[https_connector_max_threads](#iib_server_https_connector_max_threads)                                                         | This property allows you to manage HTTPSConnector maxThreads of iib_server in an IBM IIB realm.                          |
[https_connector_min_spare_threads](#iib_server_https_connector_min_spare_threads)                                             | This property allows you to manage HTTPSConnector minSpareThreads of iib_server in an IBM IIB realm.                     |
[https_connector_no_compression_user_agents](#iib_server_https_connector_no_compression_user_agents)                           | This property allows you to manage HTTPSConnector noCompressionUserAgents of iib_server in an IBM IIB realm.             |
[https_connector_port](#iib_server_https_connector_port)                                                                       | This property allows you to manage HTTPSConnector port of iib_server in an IBM IIB realm.                                |
[https_connector_restricted_user_area](#iib_server_https_connector_restricted_user_area)                                       | This property allows you to manage HTTPSConnector restrictedUserAgents of iib_server in an IBM IIB realm.                |
[https_connector_server_name](#iib_server_https_connector_server_name)                                                         | This property allows you to manage HTTPSConnector serverName of iib_server in an IBM IIB realm.                          |
[https_connector_session_cache_size](#iib_server_https_connector_session_cache_size)                                           | This property allows you to manage HTTPSConnector sessionCacheSize of iib_server in an IBM IIB realm.                    |
[https_connector_socket_buffer](#iib_server_https_connector_socket_buffer)                                                     | This property allows you to manage HTTPSConnector socketBuffer of iib_server in an IBM IIB realm.                        |
[https_connector_ssl_protocol](#iib_server_https_connector_ssl_protocol)                                                       | This property allows you to manage HTTPSConnector sslProtocol of iib_server in an IBM IIB realm.                         |
[https_connector_tcp_no_delay](#iib_server_https_connector_tcp_no_delay)                                                       | This property allows you to manage HTTPSConnector tcpNoDelay of iib_server in an IBM IIB realm.                          |
[https_connector_timeout](#iib_server_https_connector_timeout)                                                                 | This property allows you to manage HTTPSConnector connectionTimeout of iib_server in an IBM IIB realm.                   |
[https_connector_truststore_file](#iib_server_https_connector_truststore_file)                                                 | This property allows you to manage HTTPSConnector truststoreFile of iib_server in an IBM IIB realm.                      |
[https_connector_truststore_password](#iib_server_https_connector_truststore_password)                                         | This property allows you to manage HTTPSConnector truststorePass of iib_server in an IBM IIB realm.                      |
[https_connector_truststore_type](#iib_server_https_connector_truststore_type)                                                 | This property allows you to manage HTTPSConnector truststoreType of iib_server in an IBM IIB realm.                      |
[https_connector_user_trace_level](#iib_server_https_connector_user_trace_level)                                               | This property allows you to manage HTTPSConnector userTraceLevel of iib_server in an IBM IIB trace.                      |
[instance](#iib_server_instance)                                                                                               | This shared parameter specifies iib_instance in IBM IIB realm.                                                           |
[name](#iib_server_name)                                                                                                       | This parameter specifies uniqe custom name for iib_server in Puppet realm.                                               |
[provider](#iib_server_provider)                                                                                               | resource.                                                                                                                |
[rest_resource_stats_reporting_on](#iib_server_rest_resource_stats_reporting_on)                                               | This property allows you to manage REST resourceStatsReportingOn of iib_server in an IBM IIB realm.                      |
[server](#iib_server_server)                                                                                                   | This parameter specifies custom name for iib_server in IBM IIB realm.                                                    |
[status](#iib_server_status)                                                                                                   | The status of the IIB component.                                                                                         |




### broker<a name='iib_server_broker'>

This parameter specifies custom name for iib_broker in IBM IIB realm.

In example

    'NODE1'


[Back to overview of iib_server](#attributes)


### callable_flow_manager_delay_reply_until_flow_commit<a name='iib_server_callable_flow_manager_delay_reply_until_flow_commit'>

This property allows you to manage CallableFlowManager delayReplyUntilFlowCommit of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                                              => 'present',
      callable_flow_manager_delay_reply_until_flow_commit => 'true',
      status                                              => 'running',
    }

In this example you are ensuring that server is present. Then change property
delayReplyUntilFlowCommit of IBM IIB server CallableFlowManager to true. After
that you are ensuring that server is running.

Valid values

- true
- false

Valid values are `true`, `false`. 
[Back to overview of iib_server](#attributes)


### callable_flow_manager_disable_remote_input_registration<a name='iib_server_callable_flow_manager_disable_remote_input_registration'>

This property allows you to manage CallableFlowManager disableRemoteInputRegistration of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                                                  => 'present',
      callable_flow_manager_disable_remote_input_registration => 'true',
      status                                                  => 'running',
    }

In this example you are ensuring that server is present. Then change property
disableRemoteInputRegistration of IBM IIB server delayReplyUntilFlowCommit to
true. After that you are ensuring that server is running.

Valid values

- true
- false

Valid values are `true`, `false`. 
[Back to overview of iib_server](#attributes)


### callable_flow_manager_redeploy_message_timeout<a name='iib_server_callable_flow_manager_redeploy_message_timeout'>

This property allows you to manage CallableFlowManager redeployMessageTimeout of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                                     => 'present',
      callable_flow_manager_remote_retry_timeout => '10',
      status                                     => 'running',
    }

In this example you are ensuring that server is present. Then change property
redeployMessageTimeout of IBM IIB server CallableFlowManager to 10 seconds.
After that you are ensuring that server is running.

Valid values

- integer


[Back to overview of iib_server](#attributes)


### callable_flow_manager_remote_retry_timeout<a name='iib_server_callable_flow_manager_remote_retry_timeout'>

This property allows you to manage remoteRetryTimeout of CallableFlowManager iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                                     => 'present',
      callable_flow_manager_remote_retry_timeout => '10',
      status                                     => 'running',
    }

In this example you are ensuring that server is present. Then change property
remoteRetryTimeout of CallableFlowManager IBM IIB server to 10 seconds. After
that you are ensuring that server is running.

Valid values

- integer


[Back to overview of iib_server](#attributes)


### callable_flow_manager_retry_local_during_deploy<a name='iib_server_callable_flow_manager_retry_local_during_deploy'>

This property allows you to manage CallableFlowManager retryLocalDuringDeploy of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                                          => 'present',
      callable_flow_manager_retry_local_during_deploy => 'false',
      status                                          => 'running',
    }

In this example you are ensuring that server is present. Then change property
retryLocalDuringDeploy of CallableFlowManager IBM IIB server to false. After
that you are ensuring that server is running.

Valid values

- true
- false

Valid values are `true`, `false`. 
[Back to overview of iib_server](#attributes)


### callable_flow_manager_retry_remote_until_timeout<a name='iib_server_callable_flow_manager_retry_remote_until_timeout'>

This property allows you to manage CallableFlowManager retryRemoteUntilTimeout of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                                           => 'present',
      callable_flow_manager_retry_remote_until_timeout => 'false',
      status                                           => 'running',
    }

In this example you are ensuring that server is present. Then change property
CallableFlowManager of IBM IIB server retryRemoteUntilTimeout to false. After
that you are ensuring that server is running.

Valid values

- true
- false

Valid values are `true`, `false`. 
[Back to overview of iib_server](#attributes)


### connectors_shared_idle_timeout<a name='iib_server_connectors_shared_idle_timeout'>

This property allows you to manage Connectors sharedConnectorIdleTimeout of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                         => 'present',
      connectors_shared_idle_timeout => '10',
      status                         => 'running',
    }

In this example you are ensuring that server is present. Then change property
sharedConnectorIdleTimeout of IBM IIB server Connectors to 10 seconds. After
that you are ensuring that server is running.

Valid values

- integer


[Back to overview of iib_server](#attributes)


### ensure<a name='iib_server_ensure'>

The basic property that the resource should be in.

Valid values are `present`, `absent`. 
[Back to overview of iib_server](#attributes)


### execution_group_http_nodes_embedded_listener<a name='iib_server_execution_group_http_nodes_embedded_listener'>

This property allows you to manage ExecutionGroup httpNodesUseEmbeddedListener of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                                       => 'present',
      execution_group_http_nodes_embedded_listener => 'true',
      status                                       => 'running',
    }

In this example you are ensuring that server is present. Then change property
httpNodesUseEmbeddedListener of IBM IIB server ExecutionGroup to true. After
that you are ensuring that server is running.

Valid values

- true
- false

Valid values are `true`, `false`. 
[Back to overview of iib_server](#attributes)


### execution_group_injection_mode<a name='iib_server_execution_group_injection_mode'>

This property allows you to manage ExecutionGroup injectionMode of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                         => 'present',
      execution_group_injection_mode => 'Enabled',
      status                         => 'running',
    }

In this example you are ensuring that server is present. Then change property
injectionMode of IBM IIB server ExecutionGroup to Enabled. After that you are
ensuring that server is running.

Valid values

- Disabled
- Enabled

Valid values are `Disabled`, `Enabled`. 
[Back to overview of iib_server](#attributes)


### execution_group_soap_nodes_embedded_listener<a name='iib_server_execution_group_soap_nodes_embedded_listener'>

This property allows you to manage ExecutionGroup soapNodesUseEmbeddedListener of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                                       => 'present',
      execution_group_soap_nodes_embedded_listener => 'true',
      status                                       => 'running',
    }

In this example you are ensuring that server is present. Then change property
soapNodesUseEmbeddedListener of IBM IIB server ExecutionGroup to true. After
that you are ensuring that server is running.

Valid values

- true
- false

Valid values are `true`, `false`. 
[Back to overview of iib_server](#attributes)


### execution_group_trace_level<a name='iib_server_execution_group_trace_level'>

This property allows you to manage ExecutionGroup traceLevel of iib_server in an IBM IIB trace.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                      => 'present',
      execution_group_trace_level => 'trace',
      status                      => 'running',
    }

In this example you are ensuring that server is present. Then change property
traceLevel of IBM IIB server ExecutionGroup to trace. After that you are
ensuring that server is running.

Valid values

- none
- trace
- debugTrace

Valid values are `none`, `trace`, `debugTrace`. 
[Back to overview of iib_server](#attributes)


### http_connector_accept_count<a name='iib_server_http_connector_accept_count'>

This property allows you to manage HTTPConnector acceptCount of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                      => 'present',
      http_connector_accept_count => '1000',
      status                      => 'running',
    }

In this example you are ensuring that server is present. Then change property
HTTPConnector acceptCount of IBM IIB server to 1000. After that you are ensuring
that server is running.

Valid values

- integer


[Back to overview of iib_server](#attributes)


### http_connector_auto_respond_http_head_requests<a name='iib_server_http_connector_auto_respond_http_head_requests'>

This property allows you to manage HTTPConnector autoRespondHTTPHEADRequests of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                                         => 'present',
      http_connector_auto_respond_http_head_requests => 'true',
      status                                         => 'running',
    }

In this example you are ensuring that server is present. Then change property
HTTPConnector autoRespondHTTPHEADRequests of IBM IIB server to true. After that
you are ensuring that server is running.

Valid values

- true
- false

Valid values are `true`, `false`. 
[Back to overview of iib_server](#attributes)


### http_connector_compressable_mime_types<a name='iib_server_http_connector_compressable_mime_types'>

This property allows you to manage HTTPConnector compressableMimeTypes of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                                 => 'present',
      http_connector_compressable_mime_types => ['text/html'],
      status                                 => 'running',
    }

In this example you are ensuring that server is present.
Then change property HTTPConnector compressableMimeTypes of IBM IIB server only to text/html.
After that you are ensuring that server is running.

Here is a second example on how you should use this with array values:

    iib_server { 'iib8/NODE1/server_1':
      ensure                                 => 'present',
      http_connector_compressable_mime_types => ['text/html', 'text/xml', 'text/plain'],
      status                                 => 'running',
    }

In this example you are ensuring that server is present.
Then change property HTTPConnector compressableMimeTypes of IBM IIB server only to text/html,text/xml,text/plain.
After that you are ensuring that server is running.

Valid values

- text/html
- text/xml
- text/plain
- text/css
- application/javascript
- image/gif
- image/png
- application/json


[Back to overview of iib_server](#attributes)


### http_connector_compression<a name='iib_server_http_connector_compression'>

This property allows you to manage HTTPConnector compression of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                     => 'present',
      http_connector_compression => 'on',
      status                     => 'running',
    }

In this example you are ensuring that server is present.
Then change property HTTPConnector compression of IBM IIB server to on.
After that you are ensuring that server is running.

Valid values

- string

Initial value

- off


[Back to overview of iib_server](#attributes)


### http_connector_connection_linger<a name='iib_server_http_connector_connection_linger'>

This property allows you to manage HTTPConnector connectionLinger of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                           => 'present',
      http_connector_connection_linger => '1200',
      status                           => 'running',
    }

In this example you are ensuring that server is present. Then change property
connectionLinger of IBM IIB server HTTPConnector to 1200 seconds. After that you
are ensuring that server is running.

Valid values

- integer


[Back to overview of iib_server](#attributes)


### http_connector_connection_timeout<a name='iib_server_http_connector_connection_timeout'>

This property allows you to manage HTTPConnector connectionTimeout of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                            => 'present',
      http_connector_connection_timeout => '1200',
      status                            => 'running',
    }

In this example you are ensuring that server is present. Then change property
connectionTimeout of IBM IIB server HTTPConnector to 1200 milliseconds. After
that you are ensuring that server is running.

Valid values

- integer


[Back to overview of iib_server](#attributes)


### http_connector_cors_allow_credentials<a name='iib_server_http_connector_cors_allow_credentials'>

This property allows you to manage HTTPConnector corsAllowCredentials of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                                => 'present',
      http_connector_cors_allow_credentials => 'true',
      status                                => 'running',
    }

In this example you are ensuring that server is present. Then change property
HTTPConnector corsAllowCredentials of IBM IIB server to true. After that you are
ensuring that server is running.

Valid values

- true
- false

Valid values are `true`, `false`. 
[Back to overview of iib_server](#attributes)


### http_connector_cors_allow_headers<a name='iib_server_http_connector_cors_allow_headers'>

This property allows you to manage HTTPConnector corsAllowHeaders of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                            => 'present',
      http_connector_cors_allow_headers => ['Accept'],
      status                            => 'running',
    }

In this example you are ensuring that server is present. Then change property
HTTPConnector corsAllowHeaders of IBM IIB server only to Accept. After that you
are ensuring that server is running.

Here is a second example on how you should use this with array values:

    iib_server { 'iib8/NODE1/server_1':
      ensure                            => 'present',
      http_connector_cors_allow_headers => ['Accept', 'Accept-Language', 'Content-Language', 'Content-Type'],
      status                            => 'running',
    }

In this example you are ensuring that server is present. Then change property
HTTPConnector corsAllowHeaders of IBM IIB server only to X-Header1, X-Header2,
X-Header3 After that you are ensuring that server is running.

Valid values

- list


[Back to overview of iib_server](#attributes)


### http_connector_cors_allow_methods<a name='iib_server_http_connector_cors_allow_methods'>

This property allows you to manage HTTPConnector corsAllowMethods of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                            => 'present',
      http_connector_cors_allow_methods => ['GET'],
      status                            => 'running',
    }

In this example you are ensuring that server is present. Then change property
HTTPConnector corsAllowMethods of IBM IIB server only to GET. After that you are
ensuring that server is running.

Here is a second example on how you should use this with array values:

    iib_server { 'iib8/NODE1/server_1':
      ensure                            => 'present',
      http_connector_cors_allow_methods => ['GET','HEAD','POST','PUT','PATCH','DELETE','OPTIONS'],
      status                            => 'running',
    }

In this example you are ensuring that server is present. Then change property
HTTPConnector corsAllowMethods of IBM IIB server to
GET,HEAD,POST,PUT,PATCH,DELETE,OPTIONS. After that you are ensuring that server
is running.

Valid values

- list


[Back to overview of iib_server](#attributes)


### http_connector_cors_allow_origins<a name='iib_server_http_connector_cors_allow_origins'>

This property allows you to manage HTTPConnector corsAllowOrigins of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                            => 'present',
      http_connector_cors_allow_origins => ['*'],
      status                            => 'running',
    }

In this example you are ensuring that server is present. Then change property
HTTPConnector corsAllowOrigins of IBM IIB server only to all. After that you are
ensuring that server is running.

Here is a second example on how you should use this with array values:

    iib_server { 'iib8/NODE1/server_1':
      ensure                            => 'present',
      http_connector_cors_allow_origins => ['http://www.example.com','https://www.example.com':7843,'http://othersite.net:7800'],
      status                            => 'running',
    }

In this example you are ensuring that server is present. Then change property
HTTPConnector corsAllowOrigins of IBM IIB server only to http://www.example.com,
https://www.example.com:7843, http://othersite.net:7800. After that you are
ensuring that server is running.

Valid values

- list


[Back to overview of iib_server](#attributes)


### http_connector_cors_enabled<a name='iib_server_http_connector_cors_enabled'>

This property allows you to manage HTTPConnector corsEnabled of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                      => 'present',
      http_connector_cors_enabled => 'true',
      status                      => 'running',
    }

In this example you are ensuring that server is present. Then change property
corsEnabled of IBM IIB server HTTPConnector to true. After that you are ensuring
that server is running.

Initial value

- false

Valid values

- true
- false

Valid values are `true`, `false`. 
[Back to overview of iib_server](#attributes)


### http_connector_cors_expose_headers<a name='iib_server_http_connector_cors_expose_headers'>

This property allows you to manage HTTPConnector corsExposeHeaders of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                             => 'present',
      http_connector_cors_expose_headers => ['Content-Type'],
      status                             => 'running',
    }

In this example you are ensuring that server is present. Then change property
HTTPConnector corsExposeHeaders of IBM IIB server only to all. After that you
are ensuring that server is running.

Here is a second example on how you should use this with array values:

    iib_server { 'iib8/NODE1/server_1':
      ensure                             => 'present',
      http_connector_cors_expose_headers => ['X-Header1','X-Header2','X-Header3'],
      status                             => 'running',
    }

In this example you are ensuring that server is present. Then change property
HTTPConnector corsExposeHeaders of IBM IIB server only to X-Header1, X-Header2,
X-Header3 After that you are ensuring that server is running.

Valid values

- list


[Back to overview of iib_server](#attributes)


### http_connector_cors_max_age<a name='iib_server_http_connector_cors_max_age'>

This property allows you to manage HTTPConnector corsMaxAge of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                      => 'present',
      http_connector_cors_max_age => '-1',
      status                      => 'running',
    }

In this example you are ensuring that server is present. Then change property
HTTPConnector corsMaxAge of IBM IIB server to -1 remove max age header from
response. After that you are ensuring that server is running.

Here is second example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                      => 'present',
      http_connector_cors_max_age => '1000',
      status                      => 'running',
    }

In this example you are ensuring that server is present. Then change property
HTTPConnector corsMaxAge of IBM IIB server to 1000 seconds. After that you are
ensuring that server is running.

Valid values

    - integer


[Back to overview of iib_server](#attributes)


### http_connector_enable_lookups<a name='iib_server_http_connector_enable_lookups'>

This property allows you to manage HTTPConnector enableLookups of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                        => 'present',
      http_connector_enable_lookups => 'true',
      status                        => 'running',
    }

In this example you are ensuring that server is present. Then change property
enableLookups of IBM IIB server HTTPConnector to true. After that you are
ensuring that server is running.

Initial value

- false

Valid values

- true
- false

Valid values are `true`, `false`. 
[Back to overview of iib_server](#attributes)


### http_connector_max_http_header_size<a name='iib_server_http_connector_max_http_header_size'>

This property allows you to manage HTTPConnector maxHttpHeaderSize of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                              => 'present',
      http_connector_max_http_header_size => '131072',
      status                              => 'running',
    }

In this example you are ensuring that server is present. Then change property
HTTPConnector maxHttpHeaderSize of IBM IIB server to 131072 bytes. After that
you are ensuring that server is running.

Initial value

- 8192 bytes

Valid values

- integer


[Back to overview of iib_server](#attributes)


### http_connector_max_keep_alive_requests<a name='iib_server_http_connector_max_keep_alive_requests'>

This property allows you to manage HTTPConnector maxKeepAliveRequests of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                                 => 'present',
      http_connector_max_keep_alive_requests => '700',
      status                                 => 'running',
    }

In this example you are ensuring that server is present. Then change property
maxKeepAliveRequests of IBM IIB server HTTPConnector to 700 requests. After that
you are ensuring that server is running.

Initial value

- 100

Valid values

- integer


[Back to overview of iib_server](#attributes)


### http_connector_max_posts_size<a name='iib_server_http_connector_max_posts_size'>

This property allows you to manage HTTPConnector maxPostSize of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                        => 'present',
      http_connector_max_posts_size => '131072',
      status                        => 'running',
    }

In this example you are ensuring that server is present. Then change property
HTTPConnector maxPostSize of IBM IIB server to 131072 bytes. After that you are
ensuring that server is running.

Initial value

- 2097152 bytes

Valid values

- integer


[Back to overview of iib_server](#attributes)


### http_connector_max_threads<a name='iib_server_http_connector_max_threads'>

This property allows you to manage HTTPConnector maxThreads of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                     => 'present',
      http_connector_max_threads => '900',
      status                     => 'running',
    }

In this example you are ensuring that server is present. Then change property
maxThreads of IBM IIB server HTTPConnector to 900 threads. After that you are
ensuring that server is running.

Initial value

- 200

Valid values

- integer


[Back to overview of iib_server](#attributes)


### http_connector_min_spare_threads<a name='iib_server_http_connector_min_spare_threads'>

This property allows you to manage HTTPConnector minSpareThreads of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                           => 'present',
      http_connector_min_spare_threads => '20',
      status                           => 'running',
    }

In this example you are ensuring that server is present. Then change property
minSpareThreads of IBM IIB server HTTPConnector to 20 threads. After that you
are ensuring that server is running.

Initial value

- 10

Valid values

- integer


[Back to overview of iib_server](#attributes)


### http_connector_no_compression_user_agents<a name='iib_server_http_connector_no_compression_user_agents'>

This property allows you to manage HTTPConnector noCompressionUserAgents of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                                    => 'present',
      http_connector_no_compression_user_agents => 'value',
      status                                    => 'running',
    }

In this example you are ensuring that server is present. Then change property
noCompressionUserAgents of IBM IIB server HTTPConnector to value. After that you
are ensuring that server is running.

Valid values

- string


[Back to overview of iib_server](#attributes)


### http_connector_port<a name='iib_server_http_connector_port'>

This property allows you to manage HTTPConnector port of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure              => 'present',
      http_connector_port => '7819',
      status              => 'running',
    }

In this example you are ensuring that server is present. Then change property
port of IBM IIB server HTTPConnector to 7819. After that you are ensuring that
server is running.

Information

    The server needs to be restarted.

Initial value

- 7800-7842

Valid values

- integer in the range 0-65536


[Back to overview of iib_server](#attributes)


### http_connector_restricted_user_area<a name='iib_server_http_connector_restricted_user_area'>

This property allows you to manage HTTPConnector restrictedUserAgents of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                              => 'present',
      http_connector_restricted_user_area => 'area',
      status                              => 'running',
    }

In this example you are ensuring that server is present. Then change property
HTTPConnector restrictedUserAgents of IBM IIB server to area. After that you are
ensuring that server is running.

Valid values

- string

Initial value

- null


[Back to overview of iib_server](#attributes)


### http_connector_server_name<a name='iib_server_http_connector_server_name'>

This property allows you to manage HTTPConnector serverName of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                     => 'present',
      http_connector_server_name => 'testname',
      status                     => 'running',
    }

In this example you are ensuring that server is present. Then change property
serverName of IBM IIB server HTTPConnector to testname. After that you are
ensuring that server is running.

Valid values

    - string

Initial value

    - Apache-Coyote/1.1


[Back to overview of iib_server](#attributes)


### http_connector_socket_buffer<a name='iib_server_http_connector_socket_buffer'>

This property allows you to manage HTTPConnector socketBuffer of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                       => 'present',
      http_connector_socket_buffer => '131072',
      status                       => 'running',
    }

In this example you are ensuring that server is present. Than change property
HTTPConnector socketBuffer of IBM IIB server to `131072` bytes. After that you
are ensuring that server is running.

Initial value

- `9000` bytes

Valid values

- integer
- `-1` to disable buffer


[Back to overview of iib_server](#attributes)


### http_connector_tcp_no_delay<a name='iib_server_http_connector_tcp_no_delay'>

This property allows you to manage HTTPConnector tcpNoDelay of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                      => 'present',
      http_connector_tcp_no_delay => 'false',
      status                      => 'running',
    }

In this example you are ensuring that server is present. Then change property
HTTPConnector tcpNoDelay of IBM IIB server to false. After that you are ensuring
that server is running.

Initial value

- true

Valid values

- true
- false

Valid values are `true`, `false`. 
[Back to overview of iib_server](#attributes)


### http_connector_timeout<a name='iib_server_http_connector_timeout'>

This property allows you to manage HTTPConnector connectionTimeout of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                 => 'present',
      http_connector_timeout => '110000',
      status                 => 'running',
    }

In this example you are ensuring that server is present. Then change property
HTTPConnector connectionTimeout of IBM IIB server to `110000` milliseconds. After
that you are ensuring that server is running.

Initial value

- 60000

Valid values

- integer
- -1 to specify no timeout


[Back to overview of iib_server](#attributes)


### http_connector_user_trace_level<a name='iib_server_http_connector_user_trace_level'>

This property allows you to manage HTTPConnector userTraceLevel of iib_server in an IBM IIB trace.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                          => 'present',
      http_connector_user_trace_level => 'trace',
      status                          => 'running',
    }

In this example you are ensuring that server is present. Then change property
HTTPConnector userTraceLevel of IBM IIB server to `trace`. After that you are
ensuring that server is running.

Valid values

- none
- trace
- debugTraces

Valid values are `none`, `trace`, `debugTrace`. 
[Back to overview of iib_server](#attributes)


### https_connector_accept_count<a name='iib_server_https_connector_accept_count'>

This property allows you to manage HTTPSConnector acceptCount of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                       => 'present',
      https_connector_accept_count => '1000',
      status                       => 'running',
    }

In this example you are ensuring that server is present. Then change property
acceptCount of IBM IIB server HTTPSConnector to `1000`. After that you are
ensuring that server is running.


Valid values

- integer


[Back to overview of iib_server](#attributes)


### https_connector_algorithm<a name='iib_server_https_connector_algorithm'>

This property allows you to manage HTTPSConnector algorithm of iib_server in an IBM IIB trace.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                    => 'present',
      https_connector_algorithm => 'SunX509',
      status                    => 'running',
    }

In this example you are ensuring that server is present. Then change property
algorithm of IBM IIB server HTTPSConnector to `SunX509` milliseconds. At
the you are ensuring that server is running.

Valid values

- `SunX509` (Solaris and HP-UX)
- `IbmX509` (AIX(c), Linux, Windows, z/OS(c))

Valid values are `SunX509`, `IbmX509`. 
[Back to overview of iib_server](#attributes)


### https_connector_auto_respond_http_head_requests<a name='iib_server_https_connector_auto_respond_http_head_requests'>

This property allows you to manage HTTPSConnector autoRespondHTTPHEADRequests of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                                          => 'present',
      https_connector_auto_respond_http_head_requests => 'true',
      status                                          => 'running',
    }

In this example you are ensuring that server is present. Then change property
HTTPSConnector autoRespondHTTPHEADRequests of IBM IIB server to true. After that
you are ensuring that server is running.

Valid values

- true
- false

Valid values are `true`, `false`. 
[Back to overview of iib_server](#attributes)


### https_connector_client_auth<a name='iib_server_https_connector_client_auth'>

This property allows you to manage HTTPSConnector clientAuth of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                      => 'present',
      https_connector_client_auth => 'true',
      status                      => 'running',
    }

In this example you are ensuring that server is present. Then change property
clientAuth of IBM IIB server HTTPSConnector to `true`. After that you are
ensuring that server is running.


Initial value

- false

Valid values

- true
- false

Valid values are `true`, `false`. 
[Back to overview of iib_server](#attributes)


### https_connector_compressable_mime_types<a name='iib_server_https_connector_compressable_mime_types'>

This property allows you to manage HTTPSConnector compressableMimeTypes of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                                  => 'present',
      https_connector_compressable_mime_types => ['text/html'],
      status                                  => 'running',
    }

In this example you are ensuring that server is present. Then change property
HTTPSConnector compressableMimeTypes of IBM IIB server only to text/html. After
that you are ensuring that server is running.


Here is a second example on how you should use this with array values:

    iib_server { 'iib8/NODE1/server_1':
      ensure                                  => 'present',
      https_connector_compressable_mime_types => ['text/html', 'text/xml', 'text/plain'],
      status                                  => 'running',
    }

In this example you are ensuring that server is present. Then change property
compressableMimeTypes of IBM IIB server HTTPSConnector only to
text/html,text/xml,text/plain. After that you are ensuring that server is
running.

Valid values

- text/html
- text/xml
- text/plain
- text/css
- application/javascript
- image/gif
- image/png
- application/json


[Back to overview of iib_server](#attributes)


### https_connector_compression<a name='iib_server_https_connector_compression'>

This property allows you to manage HTTPSConnector compression of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                      => 'present',
      https_connector_compression => 'on',
      status                      => 'running',
    }

In this example you are ensuring that server is present.
Then change property HTTPSConnector compression of IBM IIB server to on.
After that you are ensuring that server is running.

Valid values

- string

Initial value

- off


[Back to overview of iib_server](#attributes)


### https_connector_connection_linger<a name='iib_server_https_connector_connection_linger'>

This property allows you to manage HTTPSConnector connectionLinger of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                            => 'present',
      https_connector_connection_linger => '1200',
      status                            => 'running',
    }

In this example you are ensuring that server is present. Then change property
HTTPSConnector connectionLinger of IBM IIB server to `1200` seconds. After that
you are ensuring that server is running.

Valid values

- integer


[Back to overview of iib_server](#attributes)


### https_connector_connection_timeout<a name='iib_server_https_connector_connection_timeout'>

This property allows you to manage HTTPSConnector connectionTimeout of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                             => 'present',
      https_connector_connection_timeout => '1200',
      status                             => 'running',
    }

In this example you are ensuring that server is present. Then change property
connectionTimeout of IBM IIB server HTTPSConnector to 1200 milliseconds. After
that you are ensuring that server is running.

Valid values

- integer


[Back to overview of iib_server](#attributes)


### https_connector_cors_allow_credentials<a name='iib_server_https_connector_cors_allow_credentials'>

This property allows you to manage HTTPSConnector corsAllowCredentials of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                                 => 'present',
      https_connector_cors_allow_credentials => 'true',
      status                                 => 'running',
    }

In this example you are ensuring that server is present. Then change property
corsAllowCredentials of IBM IIB server HTTPSConnector to true. After that you
are ensuring that server is running.

Valid values

- true
- false

Valid values are `true`, `false`. 
[Back to overview of iib_server](#attributes)


### https_connector_cors_allow_headers<a name='iib_server_https_connector_cors_allow_headers'>

This property allows you to manage HTTPSConnector corsAllowHeaders of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                             => 'present',
      https_connector_cors_allow_headers => ['Accept'],
      status                             => 'running',
    }

In this example you are ensuring that server is present. Then change property
HTTPSConnector corsAllowHeaders of IBM IIB server only to Accept. After that you
are ensuring that server is running.


Here is a second example on how you should use this with array values:

    iib_server { 'iib8/NODE1/server_1':
      ensure                             => 'present',
      https_connector_cors_allow_headers => ['Accept', 'Accept-Language', 'Content-Language', 'Content-Type'],
      status                             => 'running',
    }

In this example you are ensuring that server is present. Then change property
HTTPSConnector corsAllowHeaders of IBM IIB server only to X-Header1, X-Header2,
X-Header3 After that you are ensuring that server is running.S


Valid values

- list


[Back to overview of iib_server](#attributes)


### https_connector_cors_allow_methods<a name='iib_server_https_connector_cors_allow_methods'>

This property allows you to manage HTTPSConnector corsAllowMethods of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                             => 'present',
      https_connector_cors_allow_methods => ['GET'],
      status                             => 'running',
    }

In this example you are ensuring that server is present. Then change property
HTTPSConnector corsAllowMethods of IBM IIB server only to GET. After that you
are ensuring that server is running.


Here is a second example on how you should use this with array values:

    iib_server { 'iib8/NODE1/server_1':
      ensure                             => 'present',
      https_connector_cors_allow_methods => ['GET','HEAD','POST','PUT','PATCH','DELETE','OPTIONS'],
      status                             => 'running',
    }

In this example you are ensuring that server is present. Then change property
corsAllowMethods of IBM IIB server HTTPSConnector to
GET,HEAD,POST,PUT,PATCH,DELETE,OPTIONS. After that you are ensuring that server
is running.


Valid values

- list


[Back to overview of iib_server](#attributes)


### https_connector_cors_allow_origins<a name='iib_server_https_connector_cors_allow_origins'>

This property allows you to manage HTTPSConnector corsAllowOrigins of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                            => 'present',
      https_connector_cors_allow_origins => ['*'],
      status                            => 'running',
    }

In this example you are ensuring that server is present. Then change property
HTTPSConnector corsAllowOrigins of IBM IIB server only to all. After that you
are ensuring that server is running.

Here is a second example on how you should use this with array values:

    iib_server { 'iib8/NODE1/server_1':
      ensure                             => 'present',
      https_connector_cors_allow_origins => ['https://www.example.com','https://www.example.com':7843,'https://othersite.net:7800'],
      status                             => 'running',
    }

In this example you are ensuring that server is present. Then change property
HTTPSConnector corsAllowOrigins of IBM IIB server only to
http://www.example.com, https://www.example.com:7843, http://othersite.net:7800.
After that you are ensuring that server is running.


Valid values

- list


[Back to overview of iib_server](#attributes)


### https_connector_cors_enabled<a name='iib_server_https_connector_cors_enabled'>

This property allows you to manage HTTPSConnector corsEnabled of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                       => 'present',
      https_connector_cors_enabled => 'true',
      status                       => 'running',
    }

In this example you are ensuring that server is present. Then change property
corsEnabled of IBM IIB server HTTPSConnector to true. After that you are
ensuring that server is running.


Initial value

- false

Valid values

- true
- false

Valid values are `true`, `false`. 
[Back to overview of iib_server](#attributes)


### https_connector_cors_expose_headers<a name='iib_server_https_connector_cors_expose_headers'>

This property allows you to manage HTTPSConnector corsExposeHeaders of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                              => 'present',
      https_connector_cors_expose_headers => ['Content-Type'],
      status                              => 'running',
    }

In this example you are ensuring that server is present. Then change property
corsExposeHeaders of IBM IIB server HTTPSConnector only to all. After that you
are ensuring that server is running.


Here is a second example on how you should use this with array values:

    iib_server { 'iib8/NODE1/server_1':
      ensure                              => 'present',
      https_connector_cors_expose_headers => ['X-Header1','X-Header2','X-Header3'],
      status                              => 'running',
    }

In this example you are ensuring that server is present. Then change property
corsExposeHeaders of IBM IIB server HTTPSConnector only to X-Header1, X-Header2,
X-Header3 After that you are ensuring that server is running.


Valid values

    - list


[Back to overview of iib_server](#attributes)


### https_connector_cors_max_age<a name='iib_server_https_connector_cors_max_age'>

This property allows you to manage HTTPSConnector corsMaxAge of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                       => 'present',
      https_connector_cors_max_age => '-1',
      status                       => 'running',
    }

In this example you are ensuring that server is present. Then change property
HTTPSConnector corsMaxAge of IBM IIB server to -1 remove max age header from
response. After that you are ensuring that server is running.


Here is second example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                       => 'present',
      https_connector_cors_max_age => '1000',
      status                      => 'running',
    }

In this example you are ensuring that server is present. Then change property
HTTPSConnector corsMaxAge of IBM IIB server to 1000 seconds. After that you are
ensuring that server is running.

Valid values

- integer


[Back to overview of iib_server](#attributes)


### https_connector_enable_lookups<a name='iib_server_https_connector_enable_lookups'>

This property allows you to manage HTTPSConnector enableLookups of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                         => 'present',
      https_connector_enable_lookups => 'true',
      status                         => 'running',
    }

In this example you are ensuring that server is present. Then change property
enableLookups of IBM IIB server HTTPSConnector to true. After that you are
ensuring that server is running.

Initial value

- false

Valid values

- true
- false

Valid values are `true`, `false`. 
[Back to overview of iib_server](#attributes)


### https_connector_key_alias<a name='iib_server_https_connector_key_alias'>

This property allows you to manage HTTPSConnector keyAlias of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                    => 'present',
      https_connector_key_alias => 'key',
      status                    => 'running',
    }

In this example you are ensuring that server is present. Then change property
keyAlias of IBM IIB server HTTPSConnector to `key`. After that you are ensuring
that server is running.

Valid values

- string


[Back to overview of iib_server](#attributes)


### https_connector_keypass<a name='iib_server_https_connector_keypass'>

This property allows you to manage HTTPSConnector keypass of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                  => 'present',
      https_connector_keypass => 'keypass',
      status                  => 'running',
    }

In this example you are ensuring that server is present. Then change property
keypass of IBM IIB server HTTPSConnector to `keypass`. After that you are ensuring
that server is running.

Valid values

- string


[Back to overview of iib_server](#attributes)


### https_connector_keystore_file<a name='iib_server_https_connector_keystore_file'>

This property allows you to manage HTTPSConnector keystoreFile of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                        => 'present',
      https_connector_keystore_file => '/etc/keys',
      status                        => 'running',
    }

In this example you are ensuring that server is present. Then change property
keystoreFile of IBM IIB server HTTPSConnector to `/etc/keys`. After that you are
ensuring that server is running.

Valid values

- string


[Back to overview of iib_server](#attributes)


### https_connector_keystore_password<a name='iib_server_https_connector_keystore_password'>

This property allows you to manage HTTPSConnector keystorePass of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                            => 'present',
      https_connector_keystore_password => 'password_here',
      status                            => 'running',
    }

In this example you are ensuring that server is present. Then change property
keystorePass of IBM IIB server HTTPSConnector to `password_here`. After that you are
ensuring that server is running.

Valid values

- string


[Back to overview of iib_server](#attributes)


### https_connector_keystore_type<a name='iib_server_https_connector_keystore_type'>

This property allows you to manage HTTPSConnector keystoreType of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                        => 'present',
      https_connector_keystore_type => 'JKS',
      status                        => 'running',
    }

In this example you are ensuring that server is present. Then change property
keystoreType of IBM IIB server HTTPSConnector to `JKS`. After that you are
ensuring that server is running.

Valid values

- string


[Back to overview of iib_server](#attributes)


### https_connector_max_http_header_size<a name='iib_server_https_connector_max_http_header_size'>

This property allows you to manage HTTPSConnector maxHttpHeaderSize of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                               => 'present',
      https_connector_max_http_header_size => '131072',
      status                               => 'running',
    }

In this example you are ensuring that server is present. Then change property
maxHttpHeaderSize of IBM IIB server HTTPSConnector to 131072 bytes. After that
you are ensuring that server is running.


Initial value

- 8192 bytes

Valid values

- integer


[Back to overview of iib_server](#attributes)


### https_connector_max_keep_alive_requests<a name='iib_server_https_connector_max_keep_alive_requests'>

This property allows you to manage HTTPSConnector maxKeepAliveRequests of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                                  => 'present',
      https_connector_max_keep_alive_requests => '700',
      status                                  => 'running',
    }

In this example you are ensuring that server is present. Then change property
HTTPSConnector maxKeepAliveRequests of IBM IIB server to 700 requests. After
that you are ensuring that server is running.

Initial value

- 100

Valid values

- integer


[Back to overview of iib_server](#attributes)


### https_connector_max_posts_size<a name='iib_server_https_connector_max_posts_size'>

This property allows you to manage HTTPSConnector maxPostSize of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                         => 'present',
      https_connector_max_posts_size => '131072',
      status                         => 'running',
    }

In this example you are ensuring that server is present. Then change property
HTTPSConnector maxPostSize of IBM IIB server to 131072 bytes. After that you are
ensuring that server is running.

Initial value

- 2097152 bytes

Valid values

- integer


[Back to overview of iib_server](#attributes)


### https_connector_max_threads<a name='iib_server_https_connector_max_threads'>

This property allows you to manage HTTPSConnector maxThreads of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                      => 'present',
      https_connector_max_threads => '900',
      status                      => 'running',
    }

In this example you are ensuring that server is present. Then change property
HTTPSConnector maxThreads of IBM IIB server to 900 threads. After that you are
ensuring that server is running.

Initial value

- 200

Valid values

- integer


[Back to overview of iib_server](#attributes)


### https_connector_min_spare_threads<a name='iib_server_https_connector_min_spare_threads'>

This property allows you to manage HTTPSConnector minSpareThreads of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                            => 'present',
      https_connector_min_spare_threads => '20',
      status                            => 'running',
    }

In this example you are ensuring that server is present. Then change property
HTTPSConnector minSpareThreads of IBM IIB server to 20 threads. After that you
are ensuring that server is running.

Initial value

- 10

Valid values

- integer


[Back to overview of iib_server](#attributes)


### https_connector_no_compression_user_agents<a name='iib_server_https_connector_no_compression_user_agents'>

This property allows you to manage HTTPSConnector noCompressionUserAgents of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                                     => 'present',
      https_connector_no_compression_user_agents => 'value',
      status                                     => 'running',
    }

In this example you are ensuring that server is present. Then change property
noCompressionUserAgents of IBM IIB server HTTPSConnector to value. After that
you are ensuring that server is running.


Valid values

- string


[Back to overview of iib_server](#attributes)


### https_connector_port<a name='iib_server_https_connector_port'>

This property allows you to manage HTTPSConnector port of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure               => 'present',
      https_connector_port => '7819',
      status               => 'running',
    }

In this example you are ensuring that server is present. Then change property
HTTPSConnector port of IBM IIB server to 7819. After that you are ensuring that
server is running.


Information

    The server needs to be restarted.

Initial value

- 7843-7884

Valid values

- integer in the range 0-65536


[Back to overview of iib_server](#attributes)


### https_connector_restricted_user_area<a name='iib_server_https_connector_restricted_user_area'>

This property allows you to manage HTTPSConnector restrictedUserAgents of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                               => 'present',
      https_connector_restricted_user_area => 'area',
      status                               => 'running',
    }

In this example you are ensuring that server is present. Then change property
estrictedUserAgents of IBM IIB server HTTPSConnector rto area. After that you
are ensuring that server is running.

Valid values

- string

Initial value

- null


[Back to overview of iib_server](#attributes)


### https_connector_server_name<a name='iib_server_https_connector_server_name'>

This property allows you to manage HTTPSConnector serverName of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                      => 'present',
      https_connector_server_name => 'testname',
      status                      => 'running',
    }

In this example you are ensuring that server is present. Then change property
serverName of IBM IIB server HTTPSConnector to `testname`. After that you are
ensuring that server is running.

Valid values

- string

Initial value

- `Apache-Coyote/1.1`


[Back to overview of iib_server](#attributes)


### https_connector_session_cache_size<a name='iib_server_https_connector_session_cache_size'>

This property allows you to manage HTTPSConnector sessionCacheSize of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                             => 'present',
      https_connector_session_cache_size => '400',
      status                             => 'running',
    }

In this example you are ensuring that server is present. Then change property
sessionCacheSize of IBM IIB server HTTPSConnector to `400`. After that you
are ensuring that server is running.

Valid values

- integer


[Back to overview of iib_server](#attributes)


### https_connector_socket_buffer<a name='iib_server_https_connector_socket_buffer'>

This property allows you to manage HTTPSConnector socketBuffer of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                        => 'present',
      https_connector_socket_buffer => '131072',
      status                        => 'running',
    }

In this example you are ensuring that server is present. Then change property
socketBuffer of IBM IIB server HTTPSConnector to `131072` bytes. After that you
are ensuring that server is running.

Initial value

- 9000 bytes

Valid values

- integer
- -1 to disable buffer


[Back to overview of iib_server](#attributes)


### https_connector_ssl_protocol<a name='iib_server_https_connector_ssl_protocol'>

This property allows you to manage HTTPSConnector sslProtocol of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                       => 'present',
      https_connector_ssl_protocol => 'TLS',
      status                       => 'running',
    }

In this example you are ensuring that server is present. Then change property
sslProtocol of IBM IIB server HTTPSConnector to `TLS`. After that you are
ensuring that server is running.

Valid values

- string


[Back to overview of iib_server](#attributes)


### https_connector_tcp_no_delay<a name='iib_server_https_connector_tcp_no_delay'>

This property allows you to manage HTTPSConnector tcpNoDelay of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                       => 'present',
      https_connector_tcp_no_delay => 'false',
      status                       => 'running',
    }

In this example you are ensuring that server is present. Then change property
HTTPSConnector tcpNoDelay of IBM IIB server to false. After that you are
ensuring that server is running.

Initial value

- true

Valid values

- true
- false

Valid values are `true`, `false`. 
[Back to overview of iib_server](#attributes)


### https_connector_timeout<a name='iib_server_https_connector_timeout'>

This property allows you to manage HTTPSConnector connectionTimeout of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                  => 'present',
      https_connector_timeout => '110000',
      status                  => 'running',
    }

In this example you are ensuring that server is present. Then change property
connectionTimeout of IBM IIB server HTTPSConnector to `110000` milliseconds. After
that you are ensuring that server is running.

Initial value

- `60000`

Valid values

- integer
- -1 to specify no timeout


[Back to overview of iib_server](#attributes)


### https_connector_truststore_file<a name='iib_server_https_connector_truststore_file'>

This property allows you to manage HTTPSConnector truststoreFile of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                          => 'present',
      https_connector_truststore_file => '/etc/keys',
      status                          => 'running',
    }

In this example you are ensuring that server is present. Then change property
truststoreFile of IBM IIB server HTTPSConnector to `/etc/keys`. After that you
are ensuring that server is running.

Valid values

- string


[Back to overview of iib_server](#attributes)


### https_connector_truststore_password<a name='iib_server_https_connector_truststore_password'>

This property allows you to manage HTTPSConnector truststorePass of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                              => 'present',
      https_connector_truststore_password => 'password_here',
      status                              => 'running',
    }

In this example you are ensuring that server is present. Then change property
truststorePass of IBM IIB server HTTPSConnector to `password_here`. After that
you are ensuring that server is running.

Valid values

- string


[Back to overview of iib_server](#attributes)


### https_connector_truststore_type<a name='iib_server_https_connector_truststore_type'>

This property allows you to manage HTTPSConnector truststoreType of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                          => 'present',
      https_connector_truststore_type => 'JKS',
      status                          => 'running',
    }

In this example you are ensuring that server is present. Then change property
truststoreType of IBM IIB server HTTPSConnector to `JKS`. After that
you are ensuring that server is running.

Valid values

- string


[Back to overview of iib_server](#attributes)


### https_connector_user_trace_level<a name='iib_server_https_connector_user_trace_level'>

This property allows you to manage HTTPSConnector userTraceLevel of iib_server in an IBM IIB trace.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                           => 'present',
      https_connector_user_trace_level => 'trace',
      status                           => 'running',
    }

In this example you are ensuring that server is present. Then change property
userTraceLevel of IBM IIB server HTTPSConnector to `110000` milliseconds. At
the you are ensuring that server is running.

Valid values

- none
- trace
- debugTrace

Valid values are `none`, `trace`, `debugTrace`. 
[Back to overview of iib_server](#attributes)


### instance<a name='iib_server_instance'>

This shared parameter specifies iib_instance in IBM IIB realm.

Example name

    'iib8'


[Back to overview of iib_server](#attributes)


### name<a name='iib_server_name'>

This parameter specifies uniqe custom name for iib_server in Puppet realm.

In example

    'iib8/NODE1/server_1/Hello'


[Back to overview of iib_server](#attributes)


### provider<a name='iib_server_provider'>

The specific backend to use for this `iib_server`
resource. You will seldom need to specify this --- Puppet will usually
discover the appropriate provider for your platform.Available providers are:

simple
: Manage IIB Server


[Back to overview of iib_server](#attributes)


### rest_resource_stats_reporting_on<a name='iib_server_rest_resource_stats_reporting_on'>

This property allows you to manage REST resourceStatsReportingOn of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                           => 'present',
      rest_resource_stats_reporting_on => 'active',
      status                           => 'running',
    }

In this example you are ensuring that server is present. Then change property
resourceStatsReportingOn of IBM IIB server REST to active. After that you are
ensuring that server is running.


Initial value

- inactive

Valid values

- 'active'
- 'inactive'

Valid values are `active`, `inactive`. 
[Back to overview of iib_server](#attributes)


### server<a name='iib_server_server'>

This parameter specifies custom name for iib_server in IBM IIB realm.

In example

    'server_1'


[Back to overview of iib_server](#attributes)


### status<a name='iib_server_status'>

The status of the IIB component. Can either be `running` or `stopped`.
Here is an example on how to use this:

    iib_... {...
      ...
      status => 'running',
      ...
    }

Valid values are `stopped`, `running`. 
[Back to overview of iib_server](#attributes)

