#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:active_user_exits,
            :parent => Puppet_X::EnterpriseModules::Iib::BrokerGlobalProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc <<-DOC
This property allows you to manage activeUserExits of iib broker in an IBM IIB realm.

A change in this property can only be done by stopping the broker. By default puppet
will not do this and issue a warning. When you want to apply this value anyway, use
the `auto_restart` parameter and set it to`true`.

Here is an example on how you should use this:

    iib_broker { 'iib8/NODE1':
      ...
      active_user_exits  => 'none',
      auto_restart       =>  true,
      ...
    }

In this example you a changte the component value activeUserExits of IBM IIB broker
and set it to to `none`.

  DOC

  data_type('Optional[String]')

  maps_to('activeUserExits')
end
