#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:admin_url) do
  include EasyType

  desc <<-DOC
This property allows you to manage set admin_url of iib_broker in an IBM IIB realm.

Here is an example on how you should use this:

    iib_broker { 'iib8/NODE1':
      ensure    => 'present',
      admin_url => 'http://iib01.newurl.com:4414',
      status    => 'stopped',
    }

In this example you are ensuring that broker is present and is stopped. Then
change component value admin_url of IBM IIB broker to
`http://iib01.newurl.com:4414`.

Valid values

- Url string

  DOC

  data_type('Optional[String]')

  to_translate_to_resource do |raw_resource|
    raw_resource[:admin_url]
  end
end
