#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:auto_restart) do
  include EasyType

  desc <<-DOC
Specfies if you want to automaticaly want to stop and start the broker if
a value is changes that can only be applied on a stopped broker.

When you speciefied a `true` value here and Puppet detects a requested change on
a property that needs a stopped broker, , Puppet will stop the broker, apply the
requested value and start the broker again.

If you specify a `false` value, Puppet will not touch the state of the broker and
just ignore the value.

  DOC

  newvalues(:true, :false) # rubocop:disable Lint/BooleanSymbol

  data_type('Optional[Boolean]')

  defaultto(:false) # rubocop:disable Lint/BooleanSymbol
end
