#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:broker_keystore_file,
            :parent => Puppet_X::EnterpriseModules::Iib::BrokerKeystoreProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc <<-DOC
This property allows you to manage brokerKeystoreFile of iib broker in an IBM IIB realm.

Here is an example on how you should use this:

    iib_broker { 'iib8/NODE1':
      ensure                       => 'present',
      broker_keystore_file         => '/app/mib/ssl/key.jks',
      status                       => 'running',
    }

  DOC

  data_type('Optional[String]')

  maps_to('BrokerRegistry', 'brokerKeystoreFile')
  yaml_maps_to('BrokerRegistry', 'brokerKeystoreFile')
end
