#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:cache_port_range,
            :parent => Puppet_X::EnterpriseModules::Iib::BrokerGlobalProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc <<-DOC
This property allows you to manage cachePortRange of iib broker in an IBM IIB realm.

A change in this property can only be done by stopping the broker. By default puppet
will not do this and issue a warning. When you want to apply this value anyway, use
the `auto_restart` parameter and set it to`true`.

Here is an example on how you should use this:

    iib_broker { 'iib8/NODE1':
      ...
      cache_port_range => '2820-2880',
      auto_restart     =>  true,
      ...
    }

In this example you a change the component value cachePortRange of IBM IIB broker
and set it to a range from `2820` to `2880`.

Valid values

- port range

  DOC

  data_type('Optional[String]')

  maps_to('cachePortRange')
end
