#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:http_listener_https_connector_port,
            :parent => Puppet_X::EnterpriseModules::Iib::BrokerSharedProperty) do
  include EasyType
  include EasyType::Validators::PortNumber
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc <<-DOC
This property allows you to manage httpsListenerPort of iib broker in an IBM IIB realm.

A change in this property can only be done by stopping the broker. By default puppet
will not do this and issue a warning. When you want to apply this value anyway, use
the `auto_restart` parameter and set it to`true`.

Here is an example on how you should use this:

    iib_broker { 'iib8/NODE1':
      ...
      https_listener_port => 7494,
      auto_restart        =>  true,
      ...
    }

In this example you a change the component value httpsListenerPort of IBM IIB broker
and set it to a value of `7494`.

Valid values

- port number

  DOC

  data_type('Optional[Integer]')

  maps_to('HTTPSConnector', 'port')
  yaml_maps_to('NodeHttpListener', 'HTTPSConnector', 'ListenerPort')

end
