#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:http_listener_java_debug_port,
            :parent => Puppet_X::EnterpriseModules::Iib::BrokerSharedProperty) do
  include EasyType
  include EasyType::Validators::PortNumber
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc <<-DOC
This property allows you to manage javaDebugPort of iib broker httplistener in an IBM IIB realm.

When applying this manifest make sure that broker is running.

Here is an example on how you should use this:

    iib_broker { 'iib8/NODE1':
      ensure                        => 'present',
      http_listener_java_debug_port => 9101,
      status                        => 'running',
    }

In this example you are ensuring that broker is present and is running. Then
change component property value javaDebugPort of IBM IIB broker to `9101`
seconds.

  DOC

  data_type('Optional[Integer]')

  maps_to('HTTPListener', 'javaDebugPort')
end
