#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:http_listener_start_listener,
            :parent => Puppet_X::EnterpriseModules::Iib::BrokerSharedProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc <<-DOC
This property allows you to manage startListener of iib broker httplistener in an IBM IIB realm.

When applying this manifest make sure that broker is running.

Here is an example on how you should use this:

    iib_broker { 'iib8/NODE1':
      ensure                       => 'present',
      http_listener_start_listener => true,
      status                       => 'running',
    }

In this example you are ensuring that broker is present and is running. Then
change component property value startListener of IBM IIB broker to `true`
seconds.

  DOC

  newvalues(true, false)

  data_type('Optional[Boolean]')

  maps_to('HTTPListener', 'startListener')
  yaml_maps_to('NodeHttpListener', 'startListener')
end
