#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:http_listener_thread_pool_size,
            :parent => Puppet_X::EnterpriseModules::Iib::BrokerSharedProperty) do
  include EasyType
  include EasyType::Validators::Integer
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc <<-DOC
This property allows you to manage threadPoolSize of iib broker httplistener in an IBM IIB realm.

When applying this manifest make sure that broker is running.

Here is an example on how you should use this:

    iib_broker { 'iib8/NODE1':
      ensure                         => 'present',
      http_listener_thread_pool_size => 100,
      status                         => 'running',
    }

In this example you are ensuring that broker is present and is running. Then
change component property value threadPoolSize of IBM IIB broker to `100`
seconds.

  DOC

  data_type('Optional[Integer]')

  maps_to('HTTPListener', 'threadPoolSize')
end
