#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:http_listener_trace_level,
            :parent => Puppet_X::EnterpriseModules::Iib::BrokerSharedProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc <<-DOC
This property allows you to manage traceLevel of iib broker httplistener in an IBM IIB realm.

When applying this manifest make sure that broker is running.

Here is an example on how you should use this:

    iib_broker { 'iib8/NODE1':
      ensure                    => 'present',
      http_listener_trace_level => 'debug',
      status                    => 'running',
    }

In this example you are ensuring that broker is present and is runningz. Then
change component property value traceLevel of IBM IIB broker to `debug`
seconds.

  DOC

  newvalues('none', 'trace', 'debugTrace')

  data_type("Optional[Enum['none', 'trace', 'debugTrace']]")

  maps_to('HTTPListener', 'traceLevel')
end
