#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:https_connector_keystore_file,
            :parent => Puppet_X::EnterpriseModules::Iib::BrokerSharedProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc <<-DOC
This property allows you to manage keystoreFile of iib broker in an IBM IIB realm.

Here is an example on how you should use this:

    iib_broker { 'iib8/NODE1':
      ensure                       => 'present',
      keystore_file                => '/app/mib/ssl/key.jks',
      status                       => 'running',
    }

  DOC

  data_type('Optional[String]')

  maps_to('HTTPSConnector', 'keystoreFile')
  yaml_maps_to('NodeHttpListener', 'HTTPSConnector', 'KeystoreFile')
end
