#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:https_connector_keystore_pass,
            :parent => Puppet_X::EnterpriseModules::Iib::BrokerSharedProperty) do
  include EasyType::EncryptedProperty
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc <<-DOC
This property allows you to manage keystorePass of iib broker in an IBM IIB realm.

Here is an example on how you should use this:

    iib_broker { 'iib8/NODE1':
      ensure                       => 'present',
      keystore_pass                => 'passphrase',
      status                       => 'running',
    }

When listing resource retrieved property is encrytpted.

  DOC

  data_type('Optional[String]')

  maps_to('HTTPSConnector', 'keystorePass')
  yaml_maps_to('NodeHttpListener', 'HTTPSConnector', 'KeystorePassword')
end
