#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:icu_converter_path,
            :parent => Puppet_X::EnterpriseModules::Iib::BrokerGlobalProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc <<-DOC
This property allows you to manage ICU converter path of iib broker in an IBM IIB realm.

A change in this property can only be done by stopping the broker. By default puppet
will not do this and issue a warning. When you want to apply this value anyway, use
the `auto_restart` parameter and set it to`true`.

Here is an example on how you should use this:

    iib_broker { 'iib8/NODE1':
      ...
      icu_converter_path => '/path',
      auto_restart       =>  true,
      ...
    }

In this example you a change the component value ICU converter path of IBM IIB broker to
`/path`.

Valid values:

- string with path

  DOC

  data_type('Optional[String]')

  maps_to('ICU converter path')
end
