#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:integration_registry_hostname,
            :parent => Puppet_X::EnterpriseModules::Iib::BrokerGlobalProperty) do
  include EasyType
  include EasyType::Validators::IPFQDN
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc <<-DOC
This property allows you to manage integrationRegistryHostname of iib broker in an IBM IIB realm.

A change in this property can only be done by stopping the broker. By default puppet
will not do this and issue a warning. When you want to apply this value anyway, use
the `auto_restart` parameter and set it to`true`.

Here is an example on how you should use this:

    iib_broker { 'iib8/NODE1':
      ...
      integration_registry_hostname => 'myhostname.example.org',
      auto_restart                  =>  true,
      ...
    }

In this example you a change the component integrationRegistryHostname of IBM IIB broker to
`myhostname.example.org` of IBM IIB broker.

Valid values

- a host name

  DOC

  data_type('Optional[String]')

  maps_to('integrationRegistryHostname')
end
