#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:ldap_credentials,
            :parent => Puppet_X::EnterpriseModules::Iib::BrokerGlobalProperty) do
  include EasyType::EncryptedProperty
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc <<-DOC
This property allows you to manage ldapCredentials of iib broker in an IBM IIB realm.

A change in this property can only be done by stopping the broker. By default puppet
will not do this and issue a warning. When you want to apply this value anyway, use
the `auto_restart` parameter and set it to`true`.

Here is an example on how you should use this:

    iib_broker { 'iib8/NODE1':
      ...
      ldap_credentials => 'verysecret',
      auto_restart     =>  true,
      ...
    }

In this example you a change the component value ldapCredentials of IBM IIB broker
and set it to a value of `verysecret`.

Valid values

- string

  DOC

  data_type('Optional[String]')

  maps_to('ldapCredentials')
end
