#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:name) do
  include EasyType
  include EasyType::Validators::Name

  desc <<-DOC
This parameter specifies uniqe custom name for iib_broker in Puppet realm.

In example

    'iib8/NODE1'

  DOC

  data_type('String')

  isnamevar

  to_translate_to_resource do |raw_resource|
    broker      = raw_resource[:iib_broker]
    instance    = raw_resource[:instance]
    "#{instance}/#{broker}"
  end
end
