#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:queue_manager) do
  include EasyType

  desc <<-DOC
This property allows you to manage set queue manager of iib_broker in an IBM IIB realm.

You can set queue_manager only at the creation on iib_broker.

Here is an example on how you should use this:


    iib_broker { 'iib8/NODE1':
      ensure        => 'present',
      queue_manager => 'MQQM1'
    }


In this example you are setting the queue manager property of iib_broker. The
broker at the creation manifest.

  DOC

  data_type('Optional[String]')

  to_translate_to_resource do |raw_resource|
    raw_resource[:queue_manager]
  end

  on_create do
    "-q #{value}"
  end

  on_modify do
    fail 'Changing queue manager not(yet) supported.'
  end
end
