#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:security_cache_timeout,
            :parent => Puppet_X::EnterpriseModules::Iib::BrokerSharedProperty) do
  include EasyType
  include EasyType::Validators::Integer
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc <<-DOC
This property allows you to manage cacheTimeout of iib broker SecurityCache in an IBM IIB realm.

When applying this manifest make sure that broker is running.

Here is an example on how you should use this:

    iib_broker { 'iib8/NODE1':
      ensure                 => 'present',
      security_cache_timeout => 600,
      status                 => 'running',
    }

In this example you are ensuring that broker is present and is stopped. Then
change component property value cacheTimeout of IBM IIB broker SecurityCache to `600`
seconds.

  DOC

  data_type('Optional[Integer]')

  maps_to('SecurityCache', 'cacheTimeout')
end
