#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:security_status,
            :parent => Puppet_X::EnterpriseModules::Iib::BrokerGlobalProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc <<-DOC
This property allows you to manage Administration security of iib broker in an IBM IIB realm.

When applying this manifest make sure that broker is stopped.

A change in this property can only be done by stopping the broker. By default puppet
will not do this and issue a warning. When you want to apply this value anyway, use
the `auto_restart` parameter and set it to`true`.

Here is an example on how you should use this:

    iib_broker { 'iib8/NODE1':
      ...
      security_status  => 'inactive',
      auto_restart     =>  true,
      ...
    }

In this example you a change the component value Administration security of IBM IIB broker
and set it to a value of `inactive`.

Valid values

- active
- inactive

  DOC

  newvalues('active', 'inactive')

  data_type("Optional[Enum['active', 'inactive']]")

  maps_to('security_status')
end
