#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:service_federation_scmp_enable_ssl,
            :parent => Puppet_X::EnterpriseModules::Iib::BrokerSharedProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc <<-DOC
This property allows you to manage enabled of iib broker scmp in an IBM IIB realm.

When applying this manifest make sure that broker is running.

Here is an example on how you should use this:

    iib_broker { 'iib8/NODE1':
      ensure                             => 'present',
      service_federation_scmp_enable_ssl => true,
      status                             => 'running',
    }

In this example you are ensuring that broker is present and is stopped. Then
change component property value enabled of IBM IIB broker scmp to `true`
seconds.

  DOC

  newvalues('true', 'false')

  data_type('Optional[Boolean]')

  maps_to('scmp', 'enabled')
end
