#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:statistics_major_interval,
            :parent => Puppet_X::EnterpriseModules::Iib::BrokerGlobalProperty) do
  include EasyType
  include EasyType::Validators::Integer
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc <<-DOC
This property allows you to manage statisticsMajorInterval of iib broker in an IBM IIB realm.

A change in this property can only be done by stopping the broker. By default puppet
will not do this and issue a warning. When you want to apply this value anyway, use
the `auto_restart` parameter and set it to`true`.

Here is an example on how you should use this:

    iib_broker { 'iib8/NODE1':
      ...
      statistics_major_interval => 200,
      auto_restart              =>  true,
      ...
    }

In this example you a change the component value statisticsMajorInterval of IBM IIB broker
and set it to a value of `200`.

Valid values

- integer

  DOC

  data_type('Optional[Integer]')

  maps_to('statisticsMajorInterval')
end
