#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:user_lil_path,
            :parent => Puppet_X::EnterpriseModules::Iib::BrokerGlobalProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc <<-DOC
This property allows you to manage userLilPath of iib broker in an IBM IIB realm.

    iib_broker { 'iib8/NODE1':
      ...
      user_exit_path => '/path',
      auto_restart   =>  true,
      ...
    }

In this example you a change the component value userLilPath of IBM IIB broker
and set it to a value of `/path`.

Valid values

- string

  DOC

  data_type('Optional[String]')

  maps_to('userLilPath')
  yaml_maps_to('lilPath')
end
