#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:name) do
  include EasyType
  include EasyType::Validators::Name

  desc <<-DOC
  This parameter specifies uniqe resource name for the credential (dbparams).

  In example

    'IIB107/ldap::myad.example.com'


  DOC

  isnamevar

  data_type('String')

  to_translate_to_resource do |raw_resource|
    instance      = raw_resource[:instance]
    broker        = raw_resource[:broker]
    resource_name = raw_resource[:resource_name]
    "#{instance}/#{broker}/#{resource_name}"
  end
end
