#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:name) do
  include EasyType
  include EasyType::Validators::Name

  desc <<-DOC
This parameter specifies uniqe custom name for iib_deployment in Puppet realm.

In example

    'iib8/NODE1/server_1/Hello'

  DOC

  isnamevar

  data_type('String')

  to_translate_to_resource do |raw_resource|
    instance    = raw_resource[:instance]
    broker      = raw_resource[:broker]
    server      = raw_resource[:server]
    application = raw_resource[:application]
    "#{instance}/#{broker}/#{server}/#{application}"
  end
end
