#
# See the file "LICENSE" for the full license governing this code.
#
require 'pathname'
$LOAD_PATH.unshift(Pathname.new(__FILE__).dirname.parent.parent)
$LOAD_PATH.unshift(Pathname.new(__FILE__).dirname.parent.parent.parent.parent + 'easy_type' + 'lib')
require 'puppet/parameter/boolean'
require 'easy_type'
$LOAD_PATH.unshift("#{File.dirname(__FILE__)}/../..")

# Docs
module Puppet
  Type.newtype(:iib_instance) do
    include EasyType::YamlType

    config_file '/etc/iib_instance.yaml'

    def self.module_name
      'iib_config'
    end

    desc <<-DOC
This is custom resource which allows you to manage server and broker under
specified account in an IBM IIB realm.

Here is an example on how you should use this:

    iib_instance { 'IIB107NewInstance':
      ensure         => 'present',
      home_directory => '/opt/ibm/mqsi/iib-10.0.0.7',
      os_user        => 'iibadmin',
    }

In this example you are ensuring that instance is present. If the instance is
absent the resource creates new istance with specifed user and directory.

    DOC

    ensurable

    parameter :name

    property :home_directory
    property :os_user
    property :working_directory
  end
end
