#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:home_directory) do
  include EasyType::YamlProperty

  desc <<-DOC
This property allows you to manage path of iib_instance home directory in an IBM IIB realm.

Here is an example on how you should use this:

    iib_instance { 'iib8NewInstance':
      ensure         => 'present',
      home_directory => '/opt/ibm/mqsi/iib-10.0.0.8',
    }

In this example you are setting the home_directory of `IBM IIB 10.0.0 fix pack
8` for selected iib instance.

  DOC

  data_type('Optional[String]')
end
