#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:os_user) do
  include EasyType::YamlProperty

  defaultto 'iibadmin'

  desc <<-DOC
This property allows you to manage iib_instance admin username in an IBM IIB realm.

Here is an example on how you should use this:


    iib_instance { 'iib8NewInstance':
      ensure         => 'present',
      os_user        => 'iibadmin',
    }

In this example you are setting the admin user for selected iib instance.

  DOC

  data_type('Optional[String]')
end
