#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:working_directory) do
  include EasyType::YamlProperty

  desc <<-DOC
This property allows you to manage path of iib_instance working directory in an
IBM ACE realm. It is only used in IBM App Connect Enterprise to specify YAML
path.

Here is an example on how you should use this:

    iib_instance { 'iib8NewInstance':
      ensure         => 'present',
      working_directory => '/var/mqsi/components',
    }

In this example you are setting the home_directory of
`IBM App Connect Enterprise 11.0.0.3` for selected iib instance.

  DOC

  defaultto('/var/mqsi/components')
  data_type('Optional[String]')
end
