#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:set_value) do
  include EasyType

  desc <<-DOC
This parameter specifies the value to set the specfied object property to.

    iib_property {'set_node_cache_policy':
      set_value => 'none'
    }
  DOC

  def value
    begin
      Float(should) # Check if we're a number
      Puppet::Pops::Utils.to_n(should)
    rescue ArgumentError
      "'\\\"#{should}\\\"'"
    end
  end
end
