#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:authentication_config,
            :parent => Puppet_X::EnterpriseModules::Iib::SecurityProfileProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::Iib::Commands
  quote_values true

  desc <<-DOC
Defines the information that the integration node needs to connect to the provider,
and the information needed to look up the identity tokens. It is a provider-specific
configuration string. This property applies only to SecurityPEP nodes and input nodes.

    iib_security_profile { '10.0.0.6/NODE/SECURITY_NAME':
      ensure                => 'present',
      authentication_config => 'ldap://ad.example.net:386/CN=people,OU=SecGroups,OU=SERVICE,DC=ad,DC=example,DC=net',
    }

  DOC

  maps_to('authenticationConfig')

  data_type('Optional[String]')
end
