#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:authorization,
            :parent => Puppet_X::EnterpriseModules::Iib::SecurityProfileProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::Iib::Commands
  quote_values true

  desc <<-DOC
Defines the types of authorization checks that are performed on the mapped or source
identity. This property applies only to SecurityPEP nodes and input nodes. For more
information, see [Authorization](https://www.ibm.com/support/knowledgecenter/SSMKHH_10.0.0/com.ibm.etools.mft.doc/ap04040_.htm?view=kc).

    iib_security_profile { '10.0.0.6/NODE/SECURITY_NAME':
      ensure                   => 'present',
      authorization            => 'NONE',
    }

  DOC

  maps_to('authorization')

  data_type('Optional[String]')
end
