#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:authorization_config,
            :parent => Puppet_X::EnterpriseModules::Iib::SecurityProfileProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::Iib::Commands
  quote_values true

  desc <<-DOC
Defines how the integration node connects to the provider, and contains additional
information that can be used to check access (for example, a group that can be checked
for membership). It is a provider-specific configuration string. This property applies
only to SecurityPEP nodes and input nodes.

    iib_security_profile { '10.0.0.6/NODE/SECURITY_NAME':
      ensure                   => 'present',
      authorization_config     => 'ldap://ad.example.net:389/DC=ad,DC=example,DC=net?sAMAccountName',
    }
  DOC

  maps_to('authorizationConfig')

  data_type('Optional[String]')
end
