#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:id_to_propagate_to_transport,
            :parent => Puppet_X::EnterpriseModules::Iib::SecurityProfileProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::Iib::Commands
  quote_values true

  desc <<-DOC
Enables the use of a specific security identity for propagation. Set the value to
STATIC ID, and set the security identity by using the transportPropagationConfig
parameter.

    iib_security_profile { '10.0.0.6/NODE/SECURITY_NAME':
      ensure                       => 'present',
      id_to_propagate_to_transport => 'Message ID',
    }

  DOC

  maps_to('idToPropagateToTransport')

  data_type('Optional[String]')
end
