#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:keystore,
            :parent => Puppet_X::EnterpriseModules::Iib::SecurityProfileProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::Iib::Commands
  quote_values true

  desc <<-DOC
This property specifies keyStore for iib_security_profile in IBM IIB realm.

    iib_security_profile { '10.0.0.6/NODE/SECURITY_NAME':
      ensure  => 'present',
      keystore => 'keystore',
    }

  DOC

  maps_to('keyStore')

  data_type('Optional[String]')
end
