#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:mapping,
            :parent => Puppet_X::EnterpriseModules::Iib::SecurityProfileProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::Iib::Commands
  quote_values true

  desc <<-DOC
Defines the type of mapping that is performed on the source identity. This property
applies only to SecurityPEP nodes and input nodes. For more information, see
[Identity mapping](https://www.ibm.com/support/knowledgecenter/SSMKHH_10.0.0/com.ibm.etools.mft.doc/ap04030_.htm?view=kc).

    iib_security_profile { '10.0.0.6/NODE/SECURITY_NAME':
      ensure  => 'present',
      mapping => '',
    }

  DOC

  maps_to('mapping')

  data_type('Optional[String]')
end
