#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:mapping_config,
            :parent => Puppet_X::EnterpriseModules::Iib::SecurityProfileProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::Iib::Commands
  quote_values true

  desc <<-DOC
Defines how the integration node connects to the provider, and contains additional
information required to look up the mapping routine. It is a provider-specific configuration
string. This property applies only to SecurityPEP nodes and input nodes.

    iib_security_profile { '10.0.0.6/NODE/SECURITY_NAME':
      ensure  => 'present',
      mapping_config => '',
    }

  DOC

  maps_to('mappingConfig')

  data_type('Optional[String]')
end
