#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:name) do
  include EasyType
  include EasyType::Validators::Name

  desc <<-DOC
This parameter specifies custom name for iib_security_profile in IBM IIB realm.

In example

    'iib8/NODE1/PROFILE_1'

  DOC

  isnamevar

  data_type('String')

  to_translate_to_resource do |raw_resource|
    security_profile = raw_resource[:security_profile]
    broker           = raw_resource[:broker]
    instance         = raw_resource[:instance]
    "#{instance}/#{broker}/#{security_profile}"
  end
end
