#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:password_value,
            :parent => Puppet_X::EnterpriseModules::Iib::SecurityProfileProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::Iib::Commands
  quote_values true

  desc <<-DOC
Defines how passwords are treated when they enter a message flow. If PLAIN is selected,
the password appears in the Properties folder in plain text. If OBFUSCATE is selected,
the password appears in the Properties folder in base64 encoding. If MASK is selected,
the password appears in the Properties folder as four asterisks (****). This property
applies only to SecurityPEP nodes and input nodes.

    iib_security_profile { '10.0.0.6/NODE/SECURITY_NAME':
      ensure         => 'present',
      password_value => 'MASK',
    }

  DOC

  maps_to('passwordValue')

  data_type('Optional[String]')
end
