#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:reject_blank_password,
            parent:  Puppet_X::EnterpriseModules::Iib::SecurityProfileBooleanProperty,
            boolean: true) do
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc <<-DOC
This boolean property allows to control rejectBlankpassword in Security Profile.
Here is how to do it:

    iib_security_profile { '10.0.0.6/NODE/Default_Propagation':
      ensure                       => 'present',
      reject_blank_password        => true,
    }

  DOC

  maps_to('rejectBlankpassword')

  data_type('Optional[Boolean]')

  newvalues(:true, :false)
  aliasvalue('TRUE', :true)
  aliasvalue('FALSE', :false)
end
