#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:transport_propagation_config,
            :parent => Puppet_X::EnterpriseModules::Iib::SecurityProfileProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::Iib::Commands
  quote_values true

  desc <<-DOC
Provides a specific security identity to propagate when idToPropagateToTransport
is set to STATIC ID. Set the value to the name that you associate with the static
user name and password identity when you run the mqsisetdbparms. For more information,
see [Configuring a message flow for identity propagation](https://www.ibm.com/support/knowledgecenter/SSMKHH_10.0.0/com.ibm.etools.mft.doc/ap04160_.htm?view=kc).

    iib_security_profile { '10.0.0.6/NODE/SECURITY_NAME':
      ensure                       => 'present',
      transport_propagation_config => '',
    }

  DOC

  maps_to('transportPropagationConfig')

  data_type('Optional[String]')
end
