#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:callable_flow_manager_redeploy_message_timeout,
            :parent => Puppet_X::EnterpriseModules::Iib::ServerProperty) do
  include EasyType
  include EasyType::Validators::Integer
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc <<-DOC
This property allows you to manage CallableFlowManager redeployMessageTimeout of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                                     => 'present',
      callable_flow_manager_remote_retry_timeout => '10',
      status                                     => 'running',
    }

In this example you are ensuring that server is present. Then change property
redeployMessageTimeout of IBM IIB server CallableFlowManager to 10 seconds.
After that you are ensuring that server is running.

Valid values

- integer

  DOC

  data_type('Optional[Integer]')

  maps_to('CallableFlowManager', 'redeployMessageTimeout')
end
