#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:callable_flow_manager_retry_remote_until_timeout,
            :parent => Puppet_X::EnterpriseModules::Iib::ServerProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc <<-DOC
This property allows you to manage CallableFlowManager retryRemoteUntilTimeout of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                                           => 'present',
      callable_flow_manager_retry_remote_until_timeout => 'false',
      status                                           => 'running',
    }

In this example you are ensuring that server is present. Then change property
CallableFlowManager of IBM IIB server retryRemoteUntilTimeout to false. After
that you are ensuring that server is running.

Valid values

- true
- false

  DOC

  newvalues('true', 'false')

  data_type('Optional[Boolean]')

  maps_to('CallableFlowManager', 'retryRemoteUntilTimeout')
end
