#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:execution_group_injection_mode,
            :parent => Puppet_X::EnterpriseModules::Iib::ServerProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc <<-DOC
This property allows you to manage ExecutionGroup injectionMode of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                         => 'present',
      execution_group_injection_mode => 'Enabled',
      status                         => 'running',
    }

In this example you are ensuring that server is present. Then change property
injectionMode of IBM IIB server ExecutionGroup to Enabled. After that you are
ensuring that server is running.

Valid values

- Disabled
- Enabled

  DOC

  newvalues('Disabled', 'Enabled')

  data_type("Optional[Enum['Disabled', 'Enabled']]")

  maps_to('ExecutionGroup', 'injectionMode')
end
