#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:http_connector_compression,
            :parent => Puppet_X::EnterpriseModules::Iib::ServerProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc <<-DOC
This property allows you to manage HTTPConnector compression of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                     => 'present',
      http_connector_compression => 'on',
      status                     => 'running',
    }

In this example you are ensuring that server is present.
Then change property HTTPConnector compression of IBM IIB server to on.
After that you are ensuring that server is running.

Valid values

- string

Initial value

- off

  DOC

  data_type('Optional[String]')

  maps_to('HTTPConnector', 'compression')
end
