#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:http_connector_connection_timeout,
            :parent => Puppet_X::EnterpriseModules::Iib::ServerProperty) do
  include EasyType
  include EasyType::Validators::Integer
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc <<-DOC
This property allows you to manage HTTPConnector connectionTimeout of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                            => 'present',
      http_connector_connection_timeout => '1200',
      status                            => 'running',
    }

In this example you are ensuring that server is present. Then change property
connectionTimeout of IBM IIB server HTTPConnector to 1200 milliseconds. After
that you are ensuring that server is running.

Valid values

- integer

  DOC

  data_type('Optional[Integer]')

  maps_to('HTTPConnector', 'connectionTimeout')
end
