#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:http_connector_max_keep_alive_requests,
            :parent => Puppet_X::EnterpriseModules::Iib::ServerProperty) do
  include EasyType
  include EasyType::Validators::Integer
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc <<-DOC
This property allows you to manage HTTPConnector maxKeepAliveRequests of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                                 => 'present',
      http_connector_max_keep_alive_requests => '700',
      status                                 => 'running',
    }

In this example you are ensuring that server is present. Then change property
maxKeepAliveRequests of IBM IIB server HTTPConnector to 700 requests. After that
you are ensuring that server is running.

Initial value

- 100

Valid values

- integer

  DOC

  data_type('Optional[Integer]')

  maps_to('HTTPConnector', 'maxKeepAliveRequests')
end
