#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:http_connector_no_compression_user_agents,
            :parent => Puppet_X::EnterpriseModules::Iib::ServerProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc <<-DOC
This property allows you to manage HTTPConnector noCompressionUserAgents of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                                    => 'present',
      http_connector_no_compression_user_agents => 'value',
      status                                    => 'running',
    }

In this example you are ensuring that server is present. Then change property
noCompressionUserAgents of IBM IIB server HTTPConnector to value. After that you
are ensuring that server is running.

Valid values

- string

  DOC

  data_type('Optional[String]')

  maps_to('HTTPConnector', 'noCompressionUserAgents')
end
