#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:http_connector_port,
            :parent => Puppet_X::EnterpriseModules::Iib::ServerProperty) do
  include EasyType
  include EasyType::Validators::PortNumber
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc <<-DOC
This property allows you to manage HTTPConnector port of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure              => 'present',
      http_connector_port => '7819',
      status              => 'running',
    }

In this example you are ensuring that server is present. Then change property
port of IBM IIB server HTTPConnector to 7819. After that you are ensuring that
server is running.

Information

    The server needs to be restarted.

Initial value

- 7800-7842

Valid values

- integer in the range 0-65536

  DOC

  data_type('Optional[Integer]')

  maps_to('HTTPConnector', 'explicitlySetPortNumber')
  yaml_maps_to('ResourceManagers', 'HTTPConnector', 'ListenerPort')
end
