#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:http_connector_user_trace_level,
            :parent => Puppet_X::EnterpriseModules::Iib::ServerProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc <<-DOC
This property allows you to manage HTTPConnector userTraceLevel of iib_server in an IBM IIB trace.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                          => 'present',
      http_connector_user_trace_level => 'trace',
      status                          => 'running',
    }

In this example you are ensuring that server is present. Then change property
HTTPConnector userTraceLevel of IBM IIB server to `trace`. After that you are
ensuring that server is running.

Valid values

- none
- trace
- debugTraces

  DOC

  newvalues('none', 'trace', 'debugTrace')

  data_type("Optional[Enum['none', 'trace', 'debugTrace']]")

  maps_to('HTTPConnector', 'userTraceLevel')
end
