#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:https_connector_cors_allow_credentials,
            :parent => Puppet_X::EnterpriseModules::Iib::ServerProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc <<-DOC
This property allows you to manage HTTPSConnector corsAllowCredentials of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                                 => 'present',
      https_connector_cors_allow_credentials => 'true',
      status                                 => 'running',
    }

In this example you are ensuring that server is present. Then change property
corsAllowCredentials of IBM IIB server HTTPSConnector to true. After that you
are ensuring that server is running.

Valid values

- true
- false

  DOC

  newvalues('true', 'false')

  data_type('Optional[Boolean]')

  maps_to('HTTPSConnector', 'corsAllowCredentials')
  yaml_maps_to('ResourceManagers', 'HTTPSConnector', 'CORSAllowCredentials')
end
