#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:https_connector_key_alias,
            :parent => Puppet_X::EnterpriseModules::Iib::ServerProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc <<-DOC
This property allows you to manage HTTPSConnector keyAlias of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                    => 'present',
      https_connector_key_alias => 'key',
      status                    => 'running',
    }

In this example you are ensuring that server is present. Then change property
keyAlias of IBM IIB server HTTPSConnector to `key`. After that you are ensuring
that server is running.

Valid values

- string

  DOC

  data_type('Optional[String]')

  maps_to('HTTPSConnector', 'keyAlias')
  yaml_maps_to('ResourceManagers', 'HTTPSConnector', 'KeyAlias')
end
