#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:https_connector_keystore_type,
            :parent => Puppet_X::EnterpriseModules::Iib::ServerProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc <<-DOC
This property allows you to manage HTTPSConnector keystoreType of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                        => 'present',
      https_connector_keystore_type => 'JKS',
      status                        => 'running',
    }

In this example you are ensuring that server is present. Then change property
keystoreType of IBM IIB server HTTPSConnector to `JKS`. After that you are
ensuring that server is running.

Valid values

- string

  DOC

  data_type('Optional[String]')

  maps_to('HTTPSConnector', 'keystoreType')
  yaml_maps_to('ResourceManagers', 'HTTPSConnector', 'KeystoreType')
end
