#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:https_connector_socket_buffer,
            :parent => Puppet_X::EnterpriseModules::Iib::ServerProperty) do
  include EasyType
  include EasyType::Validators::Integer
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc <<-DOC
This property allows you to manage HTTPSConnector socketBuffer of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                        => 'present',
      https_connector_socket_buffer => '131072',
      status                        => 'running',
    }

In this example you are ensuring that server is present. Then change property
socketBuffer of IBM IIB server HTTPSConnector to `131072` bytes. After that you
are ensuring that server is running.

Initial value

- 9000 bytes

Valid values

- integer
- -1 to disable buffer

  DOC

  data_type('Optional[Integer]')

  maps_to('HTTPSConnector', 'socketBuffer')
end
