#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:https_connector_tcp_no_delay,
            :parent => Puppet_X::EnterpriseModules::Iib::ServerProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc <<-DOC
This property allows you to manage HTTPSConnector tcpNoDelay of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                       => 'present',
      https_connector_tcp_no_delay => 'false',
      status                       => 'running',
    }

In this example you are ensuring that server is present. Then change property
HTTPSConnector tcpNoDelay of IBM IIB server to false. After that you are
ensuring that server is running.

Initial value

- true

Valid values

- true
- false

  DOC

  newvalues('true', 'false')

  data_type('Optional[Boolean]')

  maps_to('HTTPSConnector', 'tcpNoDelay')
end
