#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:https_connector_truststore_password,
            :parent => Puppet_X::EnterpriseModules::Iib::ServerProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc <<-DOC
This property allows you to manage HTTPSConnector truststorePass of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                              => 'present',
      https_connector_truststore_password => 'password_here',
      status                              => 'running',
    }

In this example you are ensuring that server is present. Then change property
truststorePass of IBM IIB server HTTPSConnector to `password_here`. After that
you are ensuring that server is running.

Valid values

- string

  DOC

  data_type('Optional[String]')

  maps_to('HTTPSConnector', 'truststorePass')
  yaml_maps_to('ResourceManagers', 'HTTPSConnector', 'TruststorePassword')
end
