#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:rest_resource_stats_reporting_on, :parent => Puppet_X::EnterpriseModules::Iib::ServerProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc <<-DOC
This property allows you to manage REST resourceStatsReportingOn of iib_server in an IBM IIB realm.

Here is an example on how you should use this:

    iib_server { 'iib8/NODE1/server_1':
      ensure                           => 'present',
      rest_resource_stats_reporting_on => 'active',
      status                           => 'running',
    }

In this example you are ensuring that server is present. Then change property
resourceStatsReportingOn of IBM IIB server REST to active. After that you are
ensuring that server is running.


Initial value

- inactive

Valid values

- 'active'
- 'inactive'

  DOC

  newvalues('active', 'inactive')

  data_type("Optional[Enum['active', 'inactive']]")

  maps_to('REST', 'resourceStatsReportingOn')
end
