#
# See the file "LICENSE" for the full license governing this code.
#
# rubocop: disable Style/ClassAndModuleCamelCase
module Puppet_X
  module EnterpriseModules
    module Iib
      #
      # This is module responsible for checking if IBM ACE is running based on
      # version resport from system.
      #
      module AceCheck
        def self.included(parent)
          parent.extend(AceCheck)
        end

        # Cache ace check value for current instance
        def ace_used?(iib_instance)
          @current_instance ||= iib_instance

          if @current_instance == iib_instance
            @ace_check ||= mqsiservice('-v', { :instance => iib_instance }).match(/IBM App Connect Enterprise/)
          else
            @current_instance = iib_instance
            @ace_check = mqsiservice('-v', { :instance => iib_instance }).match(/IBM App Connect Enterprise/)
          end
        end
      end
    end
  end
end
